(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[    145801,       3081]
NotebookOptionsPosition[    144528,       3029]
NotebookOutlinePosition[    144882,       3045]
CellTagsIndexPosition[    144839,       3042]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.5962577154623494`*^9, 3.596257719721368*^9}}],

Cell[CellGroupData[{

Cell["\:53cc\:5bfe\:591a\:9762\:4f53", "Chapter",
 CellChangeTimes->{{3.624232647950494*^9, 3.624232654893339*^9}}],

Cell[CellGroupData[{

Cell["\:6b63\:56db\:9762\:4f53", "Section",
 CellChangeTimes->{{3.6242324761891766`*^9, 3.624232487250924*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"Clear", "[", "B", "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"TET", "=", 
     RowBox[{"PolyhedronData", "[", 
      RowBox[{"\"\<Tetrahedron\>\"", ",", "\"\<VertexCoordinates\>\""}], 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"For", "[", 
     RowBox[{
      RowBox[{"i", "=", "1"}], ",", 
      RowBox[{"i", "<", "5"}], ",", 
      RowBox[{"i", "=", 
       RowBox[{"i", "+", "1"}]}], ",", 
      RowBox[{
       RowBox[{"A", "[", "i", "]"}], "=", 
       RowBox[{"TET", "[", 
        RowBox[{"[", "i", "]"}], "]"}]}]}], "]"}], " ", ";", 
    RowBox[{"Clear", "[", "i", "]"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"B", "[", 
      RowBox[{"i_", ",", "j_", ",", "k_"}], "]"}], "=", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"A", "[", "i", "]"}], "+", 
        RowBox[{"A", "[", "j", "]"}], "+", 
        RowBox[{"A", "[", "k", "]"}]}], ")"}], "/", "3"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Graphics3D", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"Green", ",", 
       RowBox[{"Opacity", "[", "0.5", "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Polygon", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"B", "[", 
           RowBox[{"1", ",", "2", ",", "3"}], "]"}], ",", 
          RowBox[{"B", "[", 
           RowBox[{"1", ",", "2", ",", "4"}], "]"}], ",", 
          RowBox[{"B", "[", 
           RowBox[{"1", ",", "3", ",", "4"}], "]"}]}], "}"}], "]"}], ",", 
       RowBox[{"Polygon", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"B", "[", 
           RowBox[{"4", ",", "2", ",", "3"}], "]"}], ",", 
          RowBox[{"B", "[", 
           RowBox[{"1", ",", "2", ",", "4"}], "]"}], ",", 
          RowBox[{"B", "[", 
           RowBox[{"1", ",", "3", ",", "4"}], "]"}]}], "}"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Polygon", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"B", "[", 
           RowBox[{"1", ",", "2", ",", "3"}], "]"}], ",", 
          RowBox[{"B", "[", 
           RowBox[{"2", ",", "3", ",", "4"}], "]"}], ",", 
          RowBox[{"B", "[", 
           RowBox[{"1", ",", "3", ",", "4"}], "]"}]}], "}"}], "]"}], ",", 
       RowBox[{"Polygon", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"B", "[", 
           RowBox[{"1", ",", "2", ",", "3"}], "]"}], ",", 
          RowBox[{"B", "[", 
           RowBox[{"1", ",", "2", ",", "4"}], "]"}], ",", 
          RowBox[{"B", "[", 
           RowBox[{"2", ",", "3", ",", "4"}], "]"}]}], "}"}], "]"}], ",", 
       "Yellow", ",", 
       RowBox[{"Opacity", "[", "0.2", "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"PolyhedronData", "[", 
        RowBox[{"\"\<Tetrahedron\>\"", ",", "\"\<Faces\>\""}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Opacity", "[", "1", "]"}], ",", "Black", ",", 
       "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"PointSize", "[", "Large", "]"}], ",", 
         RowBox[{"Point", "[", 
          RowBox[{"{", 
           RowBox[{"B", "[", 
            RowBox[{"1", ",", "2", ",", "3"}], "]"}], "}"}], "]"}], ",", 
         RowBox[{"Point", "[", 
          RowBox[{"{", 
           RowBox[{"B", "[", 
            RowBox[{"1", ",", "2", ",", "4"}], "]"}], "}"}], "]"}], ",", 
         RowBox[{"Point", "[", 
          RowBox[{"{", 
           RowBox[{"B", "[", 
            RowBox[{"1", ",", "4", ",", "3"}], "]"}], "}"}], "]"}], ",", 
         RowBox[{"Point", "[", 
          RowBox[{"{", 
           RowBox[{"B", "[", 
            RowBox[{"4", ",", "2", ",", "3"}], "]"}], "}"}], "]"}]}], "}"}]}],
       " ", 
      RowBox[{"(*", 
       RowBox[{",", "\[IndentingNewLine]", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{"1", ",", "Large"}], "]"}], ",", 
          RowBox[{
           RowBox[{"A", "[", "1", "]"}], "+", 
           RowBox[{"{", 
            RowBox[{"0.05", ",", "0", ",", "0"}], "}"}]}]}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{"2", ",", "Large"}], "]"}], ",", 
          RowBox[{
           RowBox[{"A", "[", "2", "]"}], "+", 
           RowBox[{"{", 
            RowBox[{"0.05", ",", "0", ",", "0"}], "}"}]}]}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{"3", ",", "Large"}], "]"}], ",", 
          RowBox[{
           RowBox[{"A", "[", "3", "]"}], "+", 
           RowBox[{"{", 
            RowBox[{"0.05", ",", "0", ",", "0"}], "}"}]}]}], "]"}], ",", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{"4", ",", "Large"}], "]"}], ",", 
          RowBox[{
           RowBox[{"A", "[", "4", "]"}], "+", 
           RowBox[{"{", 
            RowBox[{"0.05", ",", "0", ",", "0"}], "}"}]}]}], "]"}]}], " ", 
       "*)"}], "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Boxed", "\[Rule]", "False"}]}], "]"}]}]}]], "Input",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmViYGAQBWIQ3dF5MbH09CtHbS6lTBDN8cqnEkQXPkwE0wZFOa0g
OlGhrRdEKwgenQyi+zY+XACiZ9otXgqi930zXg2i1dZ3rwfLN1/aD6JVWDcc
AdF3nmtdBNGHlJVvguhpNuG3QXRCbdWWCiDdX792K4gWcH26E0TX7f0Opl8W
HT8AomfkXgHTBasij4HoBK1Jx0H0OcWf50C0XB/XFRAtZLf+Jojmir1yG0Tb
tTycsBBIM53ZMwNET2s/vwxEl4harAfRJpf2Fi4H0hfW6pSAaC9t6yoQvUdQ
sBZEa4W8agTRXX4MTSC6acZnizUMrx0bZjQ5geiCS7O2gOjt3JVbQTQAaG29
LA==
  "]],

Cell[BoxData[
 Graphics3DBox[{
   {RGBColor[0, 1, 0], Opacity[0.5], 
    Polygon3DBox[
     NCache[{{Rational[-1, 3] 3^Rational[-1, 2], 0, 
        Rational[1, 3] (Rational[2, 3]^Rational[1, 2] + 
         Rational[-1, 2] Rational[3, 2]^Rational[1, 2])}, {
       Rational[1, 6] 3^Rational[-1, 2], Rational[-1, 6], 
        Rational[1, 3] (Rational[2, 3]^Rational[1, 2] + 
         Rational[-1, 2] Rational[3, 2]^Rational[1, 2])}, {
       Rational[1, 6] 3^Rational[-1, 2], Rational[1, 6], 
        Rational[1, 3] (Rational[2, 3]^Rational[1, 2] + 
         Rational[-1, 2] 
          Rational[3, 2]^Rational[1, 2])}}, {{-0.19245008972987526`, 0, 
        0.06804138174397718}, {0.09622504486493763, -0.16666666666666666`, 
       0.06804138174397718}, {0.09622504486493763, 0.16666666666666666`, 
       0.06804138174397718}}]], 
    Polygon3DBox[
     NCache[{{0, 0, Rational[-1, 2] 6^Rational[-1, 2]}, {
       Rational[1, 6] 3^Rational[-1, 2], Rational[-1, 6], 
        Rational[1, 3] (Rational[2, 3]^Rational[1, 2] + 
         Rational[-1, 2] Rational[3, 2]^Rational[1, 2])}, {
       Rational[1, 6] 3^Rational[-1, 2], Rational[1, 6], 
        Rational[1, 3] (Rational[2, 3]^Rational[1, 2] + 
         Rational[-1, 2] Rational[3, 2]^Rational[1, 2])}}, {{
       0, 0, -0.20412414523193154`}, {
       0.09622504486493763, -0.16666666666666666`, 0.06804138174397718}, {
       0.09622504486493763, 0.16666666666666666`, 0.06804138174397718}}]], 
    Polygon3DBox[
     NCache[{{Rational[-1, 3] 3^Rational[-1, 2], 0, 
        Rational[1, 3] (Rational[2, 3]^Rational[1, 2] + 
         Rational[-1, 2] Rational[3, 2]^Rational[1, 2])}, {
       0, 0, Rational[-1, 2] 6^Rational[-1, 2]}, {
       Rational[1, 6] 3^Rational[-1, 2], Rational[1, 6], 
        Rational[1, 3] (Rational[2, 3]^Rational[1, 2] + 
         Rational[-1, 2] 
          Rational[3, 2]^Rational[1, 2])}}, {{-0.19245008972987526`, 0, 
        0.06804138174397718}, {0, 0, -0.20412414523193154`}, {
       0.09622504486493763, 0.16666666666666666`, 0.06804138174397718}}]], 
    Polygon3DBox[
     NCache[{{Rational[-1, 3] 3^Rational[-1, 2], 0, 
        Rational[1, 3] (Rational[2, 3]^Rational[1, 2] + 
         Rational[-1, 2] Rational[3, 2]^Rational[1, 2])}, {
       Rational[1, 6] 3^Rational[-1, 2], Rational[-1, 6], 
        Rational[1, 3] (Rational[2, 3]^Rational[1, 2] + 
         Rational[-1, 2] Rational[3, 2]^Rational[1, 2])}, {
       0, 0, Rational[-1, 2] 6^Rational[-1, 2]}}, {{-0.19245008972987526`, 0, 
        0.06804138174397718}, {0.09622504486493763, -0.16666666666666666`, 
       0.06804138174397718}, {0, 0, -0.20412414523193154`}}]]}, 
   {RGBColor[1, 1, 0], Opacity[0.2], 
    GraphicsComplex3DBox[
     NCache[{{0, 0, Rational[2, 3]^Rational[1, 2] + 
        Rational[-1, 2] 6^Rational[-1, 2]}, {
       Rational[-1, 2] 3^Rational[-1, 2], Rational[-1, 2], Rational[-1, 2] 
        6^Rational[-1, 2]}, {
       Rational[-1, 2] 3^Rational[-1, 2], Rational[1, 2], Rational[-1, 2] 
        6^Rational[-1, 2]}, {
       3^Rational[-1, 2], 0, Rational[-1, 2] 6^Rational[-1, 2]}}, {{
       0, 0, 0.6123724356957945}, {-0.2886751345948129, -0.5, \
-0.20412414523193154`}, {-0.2886751345948129, 0.5, -0.20412414523193154`}, {
       0.5773502691896258, 0, -0.20412414523193154`}}], 
     Polygon3DBox[{{2, 3, 4}, {3, 2, 1}, {4, 1, 2}, {1, 4, 3}}]]}, 
   {GrayLevel[0], Opacity[1], 
    {PointSize[Large], 
     Point3DBox[
      NCache[{{Rational[-1, 3] 3^Rational[-1, 2], 0, 
         Rational[1, 3] (Rational[2, 3]^Rational[1, 2] + 
          Rational[-1, 2] 
           Rational[3, 2]^Rational[1, 2])}}, {{-0.19245008972987526`, 0, 
         0.06804138174397718}}]], 
     Point3DBox[
      NCache[{{Rational[1, 6] 3^Rational[-1, 2], Rational[-1, 6], 
         Rational[1, 3] (Rational[2, 3]^Rational[1, 2] + 
          Rational[-1, 2] Rational[3, 2]^Rational[1, 2])}}, {{
       0.09622504486493763, -0.16666666666666666`, 0.06804138174397718}}]], 
     Point3DBox[
      NCache[{{Rational[1, 6] 3^Rational[-1, 2], Rational[1, 6], 
         Rational[1, 3] (Rational[2, 3]^Rational[1, 2] + 
          Rational[-1, 2] Rational[3, 2]^Rational[1, 2])}}, {{
       0.09622504486493763, 0.16666666666666666`, 0.06804138174397718}}]], 
     Point3DBox[
      NCache[{{0, 0, Rational[-1, 2] 6^Rational[-1, 2]}}, {{
        0, 0, -0.20412414523193154`}}]]}}},
  Boxed->False]], "Output",
 CellChangeTimes->{3.6242314884616933`*^9, 3.624232364094792*^9}]
}, {2}]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\:6b63\:516d\:9762\:4f53", "Section",
 CellChangeTimes->{{3.6242324431527615`*^9, 3.6242324588519955`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Clear", "[", "B", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"OCT", "=", 
   RowBox[{"PolyhedronData", "[", 
    RowBox[{"\"\<Hexahedron\>\"", ",", "\"\<VertexCoordinates\>\""}], "]"}]}],
   ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"For", "[", 
   RowBox[{
    RowBox[{"i", "=", "1"}], ",", 
    RowBox[{"i", "<", "9"}], ",", 
    RowBox[{"i", "=", 
     RowBox[{"i", "+", "1"}]}], ",", 
    RowBox[{
     RowBox[{"A", "[", "i", "]"}], "=", 
     RowBox[{"OCT", "[", 
      RowBox[{"[", "i", "]"}], "]"}]}]}], "]"}], " ", ";", 
  RowBox[{"Clear", "[", "i", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"B", "[", 
    RowBox[{"i_", ",", "j_", ",", "k_", ",", "l_"}], "]"}], "=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"A", "[", "i", "]"}], "+", 
      RowBox[{"A", "[", "j", "]"}], "+", 
      RowBox[{"A", "[", "k", "]"}], "+", 
      RowBox[{"A", "[", "l", "]"}]}], ")"}], "/", "4"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Graphics3D", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Opacity", "[", "0.7", "]"}], ",", "Green", ",", 
      "\[IndentingNewLine]", 
      RowBox[{"Polygon", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"B", "[", 
          RowBox[{"1", ",", "2", ",", "3", ",", "4"}], "]"}], ",", 
         RowBox[{"B", "[", 
          RowBox[{"3", ",", "4", ",", "7", ",", "8"}], "]"}], ",", 
         RowBox[{"B", "[", 
          RowBox[{"3", ",", "1", ",", "5", ",", "7"}], "]"}]}], "}"}], "]"}], 
      ",", "\[IndentingNewLine]", 
      RowBox[{"Polygon", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"B", "[", 
          RowBox[{"1", ",", "2", ",", "3", ",", "4"}], "]"}], ",", 
         RowBox[{"B", "[", 
          RowBox[{"2", ",", "1", ",", "6", ",", "5"}], "]"}], ",", 
         RowBox[{"B", "[", 
          RowBox[{"3", ",", "1", ",", "5", ",", "7"}], "]"}]}], "}"}], "]"}], 
      ",", "\[IndentingNewLine]", 
      RowBox[{"Polygon", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"B", "[", 
          RowBox[{"1", ",", "2", ",", "3", ",", "4"}], "]"}], ",", 
         RowBox[{"B", "[", 
          RowBox[{"3", ",", "4", ",", "7", ",", "8"}], "]"}], ",", 
         RowBox[{"B", "[", 
          RowBox[{"2", ",", "4", ",", "6", ",", "8"}], "]"}]}], "}"}], "]"}], 
      ",", "\[IndentingNewLine]", 
      RowBox[{"Polygon", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"B", "[", 
          RowBox[{"1", ",", "2", ",", "3", ",", "4"}], "]"}], ",", 
         RowBox[{"B", "[", 
          RowBox[{"2", ",", "1", ",", "5", ",", "6"}], "]"}], ",", 
         RowBox[{"B", "[", 
          RowBox[{"2", ",", "4", ",", "6", ",", "8"}], "]"}]}], "}"}], "]"}], 
      ",", "\[IndentingNewLine]", 
      RowBox[{"Polygon", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"B", "[", 
          RowBox[{"5", ",", "6", ",", "7", ",", "8"}], "]"}], ",", 
         RowBox[{"B", "[", 
          RowBox[{"3", ",", "4", ",", "7", ",", "8"}], "]"}], ",", 
         RowBox[{"B", "[", 
          RowBox[{"3", ",", "1", ",", "5", ",", "7"}], "]"}]}], "}"}], "]"}], 
      ",", "\[IndentingNewLine]", 
      RowBox[{"Polygon", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"B", "[", 
          RowBox[{"5", ",", "6", ",", "7", ",", "8"}], "]"}], ",", 
         RowBox[{"B", "[", 
          RowBox[{"2", ",", "1", ",", "6", ",", "5"}], "]"}], ",", 
         RowBox[{"B", "[", 
          RowBox[{"3", ",", "1", ",", "5", ",", "7"}], "]"}]}], "}"}], "]"}], 
      ",", "\[IndentingNewLine]", 
      RowBox[{"Polygon", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"B", "[", 
          RowBox[{"5", ",", "6", ",", "7", ",", "8"}], "]"}], ",", 
         RowBox[{"B", "[", 
          RowBox[{"3", ",", "4", ",", "7", ",", "8"}], "]"}], ",", 
         RowBox[{"B", "[", 
          RowBox[{"2", ",", "4", ",", "6", ",", "8"}], "]"}]}], "}"}], "]"}], 
      ",", "\[IndentingNewLine]", 
      RowBox[{"Polygon", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"B", "[", 
          RowBox[{"5", ",", "6", ",", "7", ",", "8"}], "]"}], ",", 
         RowBox[{"B", "[", 
          RowBox[{"2", ",", "1", ",", "5", ",", "6"}], "]"}], ",", 
         RowBox[{"B", "[", 
          RowBox[{"2", ",", "4", ",", "6", ",", "8"}], "]"}]}], "}"}], "]"}], 
      ",", "\[IndentingNewLine]", "Yellow", ",", 
      RowBox[{"Opacity", "[", "0.2", "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"PolyhedronData", "[", 
       RowBox[{"\"\<Hexahedron\>\"", ",", "\"\<Faces\>\""}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"Opacity", "[", "1", "]"}], ",", "Black", ",", 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"PointSize", "[", "Large", "]"}], ",", 
        RowBox[{"Point", "[", 
         RowBox[{"{", 
          RowBox[{"B", "[", 
           RowBox[{"1", ",", "2", ",", "3", ",", "4"}], "]"}], "}"}], "]"}], 
        ",", 
        RowBox[{"Point", "[", 
         RowBox[{"{", 
          RowBox[{"B", "[", 
           RowBox[{"3", ",", "4", ",", "7", ",", "8"}], "]"}], "}"}], "]"}], 
        ",", 
        RowBox[{"Point", "[", 
         RowBox[{"{", 
          RowBox[{"B", "[", 
           RowBox[{"3", ",", "1", ",", "5", ",", "7"}], "]"}], "}"}], "]"}], 
        ",", 
        RowBox[{"Point", "[", 
         RowBox[{"{", 
          RowBox[{"B", "[", 
           RowBox[{"2", ",", "1", ",", "6", ",", "5"}], "]"}], "}"}], "]"}], 
        ",", "\[IndentingNewLine]", 
        "                                               ", 
        RowBox[{"Point", "[", 
         RowBox[{"{", 
          RowBox[{"B", "[", 
           RowBox[{"5", ",", "6", ",", "7", ",", "8"}], "]"}], "}"}], "]"}], 
        ",", 
        RowBox[{"Point", "[", 
         RowBox[{"{", 
          RowBox[{"B", "[", 
           RowBox[{"2", ",", "4", ",", "6", ",", "8"}], "]"}], "}"}], "]"}]}],
        "}"}]}], "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"Boxed", "\[Rule]", "False"}]}], "]"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.5964225701907043`*^9, 3.5964226346344175`*^9}, {
   3.6200061120893483`*^9, 3.6200061444281483`*^9}, {3.624218123771268*^9, 
   3.6242181708841066`*^9}, {3.624218392547348*^9, 3.624218413514017*^9}, 
   3.6242184956954875`*^9, {3.6242185554438705`*^9, 3.62421858965489*^9}, {
   3.6242186404800158`*^9, 3.624218645331647*^9}, {3.6242193478507786`*^9, 
   3.6242193553696413`*^9}, {3.6242286914431906`*^9, 3.62422873666933*^9}, {
   3.62422890384536*^9, 3.6242289107252245`*^9}, {3.624229008180686*^9, 
   3.624229302133112*^9}, {3.6242295050891123`*^9, 3.624229508645912*^9}, {
   3.6242299119679904`*^9, 3.624229946194171*^9}, {3.6242299970498447`*^9, 
   3.6242300024630103`*^9}, {3.6242300342712064`*^9, 
   3.6242300414159603`*^9}, {3.624230863642657*^9, 3.624230979182228*^9}, {
   3.6242310190216703`*^9, 3.6242310261817493`*^9}, {3.624231596301037*^9, 
   3.624231603944792*^9}}],

Cell[BoxData[
 Graphics3DBox[{
   {RGBColor[0, 1, 0], Opacity[0.7], 
    Polygon3DBox[
     NCache[{{Rational[-1, 2], 0, 0}, {0, Rational[1, 2], 0}, {
       0, 0, Rational[-1, 2]}}, {{-0.5, 0, 0}, {0, 0.5, 0}, {0, 0, -0.5}}]], 
    Polygon3DBox[
     NCache[{{Rational[-1, 2], 0, 0}, {0, Rational[-1, 2], 0}, {
       0, 0, Rational[-1, 2]}}, {{-0.5, 0, 0}, {0, -0.5, 0}, {0, 0, -0.5}}]], 
    Polygon3DBox[
     NCache[{{Rational[-1, 2], 0, 0}, {0, Rational[1, 2], 0}, {
       0, 0, Rational[1, 2]}}, {{-0.5, 0, 0}, {0, 0.5, 0}, {0, 0, 0.5}}]], 
    Polygon3DBox[
     NCache[{{Rational[-1, 2], 0, 0}, {0, Rational[-1, 2], 0}, {
       0, 0, Rational[1, 2]}}, {{-0.5, 0, 0}, {0, -0.5, 0}, {0, 0, 0.5}}]], 
    Polygon3DBox[
     NCache[{{Rational[1, 2], 0, 0}, {0, Rational[1, 2], 0}, {
       0, 0, Rational[-1, 2]}}, {{0.5, 0, 0}, {0, 0.5, 0}, {0, 0, -0.5}}]], 
    Polygon3DBox[
     NCache[{{Rational[1, 2], 0, 0}, {0, Rational[-1, 2], 0}, {
       0, 0, Rational[-1, 2]}}, {{0.5, 0, 0}, {0, -0.5, 0}, {0, 0, -0.5}}]], 
    Polygon3DBox[
     NCache[{{Rational[1, 2], 0, 0}, {0, Rational[1, 2], 0}, {
       0, 0, Rational[1, 2]}}, {{0.5, 0, 0}, {0, 0.5, 0}, {0, 0, 0.5}}]], 
    Polygon3DBox[
     NCache[{{Rational[1, 2], 0, 0}, {0, Rational[-1, 2], 0}, {
       0, 0, Rational[1, 2]}}, {{0.5, 0, 0}, {0, -0.5, 0}, {0, 0, 0.5}}]]}, 
   {RGBColor[1, 1, 0], Opacity[0.2], 
    GraphicsComplex3DBox[
     NCache[{{Rational[-1, 2], Rational[-1, 2], Rational[-1, 2]}, {
       Rational[-1, 2], Rational[-1, 2], Rational[1, 2]}, {
       Rational[-1, 2], Rational[1, 2], Rational[-1, 2]}, {
       Rational[-1, 2], Rational[1, 2], Rational[1, 2]}, {
       Rational[1, 2], Rational[-1, 2], Rational[-1, 2]}, {
       Rational[1, 2], Rational[-1, 2], Rational[1, 2]}, {
       Rational[1, 2], Rational[1, 2], Rational[-1, 2]}, {
       Rational[1, 2], Rational[1, 2], Rational[
        1, 2]}}, {{-0.5, -0.5, -0.5}, {-0.5, -0.5, 0.5}, {-0.5, 
      0.5, -0.5}, {-0.5, 0.5, 0.5}, {0.5, -0.5, -0.5}, {0.5, -0.5, 0.5}, {0.5,
       0.5, -0.5}, {0.5, 0.5, 0.5}}], 
     Polygon3DBox[{{8, 4, 2, 6}, {8, 6, 5, 7}, {8, 7, 3, 4}, {4, 3, 1, 2}, {1,
       3, 7, 5}, {2, 1, 5, 6}}]]}, 
   {GrayLevel[0], Opacity[1], 
    {PointSize[Large], 
     Point3DBox[NCache[{{Rational[-1, 2], 0, 0}}, {{-0.5, 0, 0}}]], 
     Point3DBox[NCache[{{0, Rational[1, 2], 0}}, {{0, 0.5, 0}}]], 
     Point3DBox[NCache[{{0, 0, Rational[-1, 2]}}, {{0, 0, -0.5}}]], 
     Point3DBox[NCache[{{0, Rational[-1, 2], 0}}, {{0, -0.5, 0}}]], 
     Point3DBox[NCache[{{Rational[1, 2], 0, 0}}, {{0.5, 0, 0}}]], 
     Point3DBox[NCache[{{0, 0, Rational[1, 2]}}, {{0, 0, 0.5}}]]}}},
  AutomaticImageSize->True,
  Boxed->False,
  ImageSize->{306.33876753787683`, 296.45195646435246`},
  ViewPoint->{-0.6862591079323261, -3.3046853320914478`, 0.24104624585245732`},
  ViewVertical->{-0.16457152581441953`, -0.5094176288704227, 
   0.8446359525186874}]], "Output",
 CellChangeTimes->{3.6242310272269025`*^9, 3.6242316046311703`*^9}]
}, {2}]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\:6b63\:516b\:9762\:4f53", "Section",
 CellChangeTimes->{{3.6242325265989156`*^9, 3.6242325464289303`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Clear", "[", "B", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"OCT", "=", 
   RowBox[{"PolyhedronData", "[", 
    RowBox[{"\"\<Octahedron\>\"", ",", "\"\<VertexCoordinates\>\""}], "]"}]}],
   ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"For", "[", 
   RowBox[{
    RowBox[{"i", "=", "1"}], ",", 
    RowBox[{"i", "<", "7"}], ",", 
    RowBox[{"i", "=", 
     RowBox[{"i", "+", "1"}]}], ",", 
    RowBox[{
     RowBox[{"A", "[", "i", "]"}], "=", 
     RowBox[{"OCT", "[", 
      RowBox[{"[", "i", "]"}], "]"}]}]}], "]"}], " ", ";", 
  RowBox[{"Clear", "[", "i", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"B", "[", 
    RowBox[{"i_", ",", "j_", ",", "k_"}], "]"}], "=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"A", "[", "i", "]"}], "+", 
      RowBox[{"A", "[", "j", "]"}], "+", 
      RowBox[{"A", "[", "k", "]"}]}], ")"}], "/", "3"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Graphics3D", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Opacity", "[", "0.7", "]"}], ",", "Green", ",", 
      RowBox[{"Polygon", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"B", "[", 
          RowBox[{"2", ",", "4", ",", "6"}], "]"}], ",", 
         RowBox[{"B", "[", 
          RowBox[{"2", ",", "6", ",", "3"}], "]"}], ",", 
         RowBox[{"B", "[", 
          RowBox[{"2", ",", "3", ",", "1"}], "]"}], ",", 
         RowBox[{"B", "[", 
          RowBox[{"2", ",", "1", ",", "4"}], "]"}]}], "}"}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"Polygon", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"B", "[", 
          RowBox[{"1", ",", "3", ",", "2"}], "]"}], ",", 
         RowBox[{"B", "[", 
          RowBox[{"2", ",", "1", ",", "4"}], "]"}], ",", 
         RowBox[{"B", "[", 
          RowBox[{"5", ",", "4", ",", "1"}], "]"}], ",", 
         RowBox[{"B", "[", 
          RowBox[{"5", ",", "1", ",", "3"}], "]"}]}], "}"}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"Polygon", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"B", "[", 
          RowBox[{"5", ",", "4", ",", "1"}], "]"}], ",", 
         RowBox[{"B", "[", 
          RowBox[{"2", ",", "1", ",", "4"}], "]"}], ",", 
         RowBox[{"B", "[", 
          RowBox[{"2", ",", "4", ",", "6"}], "]"}], ",", 
         RowBox[{"B", "[", 
          RowBox[{"5", ",", "6", ",", "4"}], "]"}]}], "}"}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"Polygon", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"B", "[", 
          RowBox[{"6", ",", "4", ",", "5"}], "]"}], ",", 
         RowBox[{"B", "[", 
          RowBox[{"6", ",", "5", ",", "3"}], "]"}], ",", 
         RowBox[{"B", "[", 
          RowBox[{"6", ",", "3", ",", "2"}], "]"}], ",", 
         RowBox[{"B", "[", 
          RowBox[{"2", ",", "6", ",", "4"}], "]"}]}], "}"}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"Polygon", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"B", "[", 
          RowBox[{"1", ",", "4", ",", "5"}], "]"}], ",", 
         RowBox[{"B", "[", 
          RowBox[{"4", ",", "6", ",", "5"}], "]"}], ",", 
         RowBox[{"B", "[", 
          RowBox[{"5", ",", "3", ",", "6"}], "]"}], ",", 
         RowBox[{"B", "[", 
          RowBox[{"3", ",", "5", ",", "1"}], "]"}]}], "}"}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"Polygon", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"B", "[", 
          RowBox[{"3", ",", "1", ",", "5"}], "]"}], ",", 
         RowBox[{"B", "[", 
          RowBox[{"1", ",", "2", ",", "3"}], "]"}], ",", 
         RowBox[{"B", "[", 
          RowBox[{"2", ",", "3", ",", "6"}], "]"}], ",", 
         RowBox[{"B", "[", 
          RowBox[{"3", ",", "5", ",", "6"}], "]"}]}], "}"}], "]"}], ",", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", "Yellow", ",", 
      RowBox[{"Opacity", "[", "0.2", "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"PolyhedronData", "[", 
       RowBox[{"\"\<Octahedron\>\"", ",", "\"\<Faces\>\""}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"Opacity", "[", "1", "]"}], ",", "Black", ",", 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"PointSize", "[", "Large", "]"}], ",", 
        RowBox[{"Point", "[", 
         RowBox[{"{", 
          RowBox[{"B", "[", 
           RowBox[{"2", ",", "4", ",", "6"}], "]"}], "}"}], "]"}], ",", 
        RowBox[{"Point", "[", 
         RowBox[{"{", 
          RowBox[{"B", "[", 
           RowBox[{"2", ",", "6", ",", "3"}], "]"}], "}"}], "]"}], ",", 
        RowBox[{"Point", "[", 
         RowBox[{"{", 
          RowBox[{"B", "[", 
           RowBox[{"2", ",", "1", ",", "3"}], "]"}], "}"}], "]"}], ",", 
        RowBox[{"Point", "[", 
         RowBox[{"{", 
          RowBox[{"B", "[", 
           RowBox[{"4", ",", "2", ",", "1"}], "]"}], "}"}], "]"}], ",", 
        "\[IndentingNewLine]", 
        "                                               ", 
        RowBox[{"Point", "[", 
         RowBox[{"{", 
          RowBox[{"B", "[", 
           RowBox[{"5", ",", "4", ",", "6"}], "]"}], "}"}], "]"}], ",", 
        RowBox[{"Point", "[", 
         RowBox[{"{", 
          RowBox[{"B", "[", 
           RowBox[{"5", ",", "6", ",", "3"}], "]"}], "}"}], "]"}], ",", 
        RowBox[{"Point", "[", 
         RowBox[{"{", 
          RowBox[{"B", "[", 
           RowBox[{"5", ",", "1", ",", "3"}], "]"}], "}"}], "]"}], ",", 
        RowBox[{"Point", "[", 
         RowBox[{"{", 
          RowBox[{"B", "[", 
           RowBox[{"4", ",", "5", ",", "1"}], "]"}], "}"}], "]"}]}], "}"}]}], 
     "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"Boxed", "\[Rule]", "False"}]}], "]"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.5964225701907043`*^9, 3.5964226346344175`*^9}, {
  3.6200061120893483`*^9, 3.6200061444281483`*^9}, {3.624231797036605*^9, 
  3.624231821933566*^9}}],

Cell[BoxData[
 Graphics3DBox[{
   {RGBColor[0, 1, 0], Opacity[0.7], 
    Polygon3DBox[
     NCache[{{Rational[1, 3] 2^Rational[-1, 2], Rational[1, 3] 
        2^Rational[-1, 2], Rational[1, 3] 2^Rational[-1, 2]}, {
       Rational[1, 3] 2^Rational[-1, 2], Rational[1, 3] 2^Rational[-1, 2], 
        Rational[-1, 3] 2^Rational[-1, 2]}, {
       Rational[-1, 3] 2^Rational[-1, 2], Rational[1, 3] 2^Rational[-1, 2], 
        Rational[-1, 3] 2^Rational[-1, 2]}, {
       Rational[-1, 3] 2^Rational[-1, 2], Rational[1, 3] 2^Rational[-1, 2], 
        Rational[1, 3] 2^Rational[-1, 2]}}, {{0.2357022603955158, 
      0.2357022603955158, 0.2357022603955158}, {0.2357022603955158, 
      0.2357022603955158, -0.2357022603955158}, {-0.2357022603955158, 
      0.2357022603955158, -0.2357022603955158}, {-0.2357022603955158, 
      0.2357022603955158, 0.2357022603955158}}]], 
    Polygon3DBox[
     NCache[{{Rational[-1, 3] 2^Rational[-1, 2], Rational[1, 3] 
        2^Rational[-1, 2], Rational[-1, 3] 2^Rational[-1, 2]}, {
       Rational[-1, 3] 2^Rational[-1, 2], Rational[1, 3] 2^Rational[-1, 2], 
        Rational[1, 3] 2^Rational[-1, 2]}, {
       Rational[-1, 3] 2^Rational[-1, 2], Rational[-1, 3] 2^Rational[-1, 2], 
        Rational[1, 3] 2^Rational[-1, 2]}, {
       Rational[-1, 3] 2^Rational[-1, 2], Rational[-1, 3] 2^Rational[-1, 2], 
        Rational[-1, 3] 2^Rational[-1, 2]}}, {{-0.2357022603955158, 
      0.2357022603955158, -0.2357022603955158}, {-0.2357022603955158, 
      0.2357022603955158, 
      0.2357022603955158}, {-0.2357022603955158, -0.2357022603955158, 
      0.2357022603955158}, {-0.2357022603955158, -0.2357022603955158, \
-0.2357022603955158}}]], 
    Polygon3DBox[
     NCache[{{Rational[-1, 3] 2^Rational[-1, 2], Rational[-1, 3] 
        2^Rational[-1, 2], Rational[1, 3] 2^Rational[-1, 2]}, {
       Rational[-1, 3] 2^Rational[-1, 2], Rational[1, 3] 2^Rational[-1, 2], 
        Rational[1, 3] 2^Rational[-1, 2]}, {
       Rational[1, 3] 2^Rational[-1, 2], Rational[1, 3] 2^Rational[-1, 2], 
        Rational[1, 3] 2^Rational[-1, 2]}, {
       Rational[1, 3] 2^Rational[-1, 2], Rational[-1, 3] 2^Rational[-1, 2], 
        Rational[1, 3] 
        2^Rational[-1, 2]}}, {{-0.2357022603955158, -0.2357022603955158, 
      0.2357022603955158}, {-0.2357022603955158, 0.2357022603955158, 
      0.2357022603955158}, {0.2357022603955158, 0.2357022603955158, 
      0.2357022603955158}, {0.2357022603955158, -0.2357022603955158, 
      0.2357022603955158}}]], 
    Polygon3DBox[
     NCache[{{Rational[1, 3] 2^Rational[-1, 2], Rational[-1, 3] 
        2^Rational[-1, 2], Rational[1, 3] 2^Rational[-1, 2]}, {
       Rational[1, 3] 2^Rational[-1, 2], Rational[-1, 3] 2^Rational[-1, 2], 
        Rational[-1, 3] 2^Rational[-1, 2]}, {
       Rational[1, 3] 2^Rational[-1, 2], Rational[1, 3] 2^Rational[-1, 2], 
        Rational[-1, 3] 2^Rational[-1, 2]}, {
       Rational[1, 3] 2^Rational[-1, 2], Rational[1, 3] 2^Rational[-1, 2], 
        Rational[1, 3] 2^Rational[-1, 2]}}, {{
      0.2357022603955158, -0.2357022603955158, 0.2357022603955158}, {
      0.2357022603955158, -0.2357022603955158, -0.2357022603955158}, {
      0.2357022603955158, 0.2357022603955158, -0.2357022603955158}, {
      0.2357022603955158, 0.2357022603955158, 0.2357022603955158}}]], 
    Polygon3DBox[
     NCache[{{Rational[-1, 3] 2^Rational[-1, 2], Rational[-1, 3] 
        2^Rational[-1, 2], Rational[1, 3] 2^Rational[-1, 2]}, {
       Rational[1, 3] 2^Rational[-1, 2], Rational[-1, 3] 2^Rational[-1, 2], 
        Rational[1, 3] 2^Rational[-1, 2]}, {
       Rational[1, 3] 2^Rational[-1, 2], Rational[-1, 3] 2^Rational[-1, 2], 
        Rational[-1, 3] 2^Rational[-1, 2]}, {
       Rational[-1, 3] 2^Rational[-1, 2], Rational[-1, 3] 2^Rational[-1, 2], 
        Rational[-1, 3] 
        2^Rational[-1, 2]}}, {{-0.2357022603955158, -0.2357022603955158, 
      0.2357022603955158}, {0.2357022603955158, -0.2357022603955158, 
      0.2357022603955158}, {
      0.2357022603955158, -0.2357022603955158, -0.2357022603955158}, \
{-0.2357022603955158, -0.2357022603955158, -0.2357022603955158}}]], 
    Polygon3DBox[
     NCache[{{Rational[-1, 3] 2^Rational[-1, 2], Rational[-1, 3] 
        2^Rational[-1, 2], Rational[-1, 3] 2^Rational[-1, 2]}, {
       Rational[-1, 3] 2^Rational[-1, 2], Rational[1, 3] 2^Rational[-1, 2], 
        Rational[-1, 3] 2^Rational[-1, 2]}, {
       Rational[1, 3] 2^Rational[-1, 2], Rational[1, 3] 2^Rational[-1, 2], 
        Rational[-1, 3] 2^Rational[-1, 2]}, {
       Rational[1, 3] 2^Rational[-1, 2], Rational[-1, 3] 2^Rational[-1, 2], 
        Rational[-1, 3] 
        2^Rational[-1, 
           2]}}, {{-0.2357022603955158, -0.2357022603955158, \
-0.2357022603955158}, {-0.2357022603955158, 
      0.2357022603955158, -0.2357022603955158}, {0.2357022603955158, 
      0.2357022603955158, -0.2357022603955158}, {
      0.2357022603955158, -0.2357022603955158, -0.2357022603955158}}]]}, 
   {RGBColor[1, 1, 0], Opacity[0.2], 
    GraphicsComplex3DBox[
     NCache[{{-2^Rational[-1, 2], 0, 0}, {0, 2^Rational[-1, 2], 0}, {
       0, 0, -2^Rational[-1, 2]}, {0, 0, 2^Rational[-1, 2]}, {
       0, -2^Rational[-1, 2], 0}, {
       2^Rational[-1, 2], 0, 0}}, {{-0.7071067811865475, 0, 0}, {
       0, 0.7071067811865475, 0}, {0, 0, -0.7071067811865475}, {
       0, 0, 0.7071067811865475}, {0, -0.7071067811865475, 0}, {
       0.7071067811865475, 0, 0}}], 
     Polygon3DBox[{{4, 5, 6}, {4, 6, 2}, {4, 2, 1}, {4, 1, 5}, {5, 1, 3}, {5, 
      3, 6}, {3, 1, 2}, {6, 3, 2}}]]}, 
   {GrayLevel[0], Opacity[1], 
    {PointSize[Large], 
     Point3DBox[
      NCache[{{Rational[1, 3] 2^Rational[-1, 2], Rational[1, 3] 
         2^Rational[-1, 2], Rational[1, 3] 2^Rational[-1, 2]}}, {{
       0.2357022603955158, 0.2357022603955158, 0.2357022603955158}}]], 
     Point3DBox[
      NCache[{{Rational[1, 3] 2^Rational[-1, 2], Rational[1, 3] 
         2^Rational[-1, 2], Rational[-1, 3] 2^Rational[-1, 2]}}, {{
       0.2357022603955158, 0.2357022603955158, -0.2357022603955158}}]], 
     Point3DBox[
      NCache[{{Rational[-1, 3] 2^Rational[-1, 2], Rational[1, 3] 
         2^Rational[-1, 2], Rational[-1, 3] 
         2^Rational[-1, 2]}}, {{-0.2357022603955158, 
       0.2357022603955158, -0.2357022603955158}}]], 
     Point3DBox[
      NCache[{{Rational[-1, 3] 2^Rational[-1, 2], Rational[1, 3] 
         2^Rational[-1, 2], Rational[1, 3] 
         2^Rational[-1, 2]}}, {{-0.2357022603955158, 0.2357022603955158, 
       0.2357022603955158}}]], 
     Point3DBox[
      NCache[{{Rational[1, 3] 2^Rational[-1, 2], Rational[-1, 3] 
         2^Rational[-1, 2], Rational[1, 3] 2^Rational[-1, 2]}}, {{
       0.2357022603955158, -0.2357022603955158, 0.2357022603955158}}]], 
     Point3DBox[
      NCache[{{Rational[1, 3] 2^Rational[-1, 2], Rational[-1, 3] 
         2^Rational[-1, 2], Rational[-1, 3] 2^Rational[-1, 2]}}, {{
       0.2357022603955158, -0.2357022603955158, -0.2357022603955158}}]], 
     Point3DBox[
      NCache[{{Rational[-1, 3] 2^Rational[-1, 2], Rational[-1, 3] 
         2^Rational[-1, 2], Rational[-1, 3] 
         2^Rational[-1, 
            2]}}, {{-0.2357022603955158, -0.2357022603955158, \
-0.2357022603955158}}]], 
     Point3DBox[
      NCache[{{Rational[-1, 3] 2^Rational[-1, 2], Rational[-1, 3] 
         2^Rational[-1, 2], Rational[1, 3] 
         2^Rational[-1, 2]}}, {{-0.2357022603955158, -0.2357022603955158, 
       0.2357022603955158}}]]}}},
  AutomaticImageSize->True,
  Boxed->False,
  ImageSize->{320.57667952248676`, 344.00444683341556`},
  ViewPoint->{0.8962441406456878, -3.0614089147207557`, 1.1289472517467578`},
  ViewVertical->{0.028146817873675335`, -0.2925758102538425, 
   0.9558279928407065}]], "Output",
 CellChangeTimes->{3.6242318231659346`*^9}]
}, {2}]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\:6b63\:5341\:4e8c\:9762\:4f53", "Section",
 CellChangeTimes->{{3.624232560049389*^9, 3.624232566555382*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Clear", "[", "B", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"DOD", "=", 
   RowBox[{"PolyhedronData", "[", 
    RowBox[{"\"\<Dodecahedron\>\"", ",", "\"\<VertexCoordinates\>\""}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"For", "[", 
   RowBox[{
    RowBox[{"i", "=", "1"}], ",", 
    RowBox[{"i", "<", "21"}], ",", 
    RowBox[{"i", "=", 
     RowBox[{"i", "+", "1"}]}], ",", 
    RowBox[{
     RowBox[{"A", "[", "i", "]"}], "=", 
     RowBox[{"DOD", "[", 
      RowBox[{"[", "i", "]"}], "]"}]}]}], "]"}], " ", ";", 
  RowBox[{"Clear", "[", "i", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"B", "[", 
    RowBox[{"i_", ",", "j_", ",", "k_", ",", "l_", ",", "m_"}], "]"}], "=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"A", "[", "i", "]"}], "+", 
      RowBox[{"A", "[", "j", "]"}], "+", 
      RowBox[{"A", "[", "k", "]"}], "+", 
      RowBox[{"A", "[", "l", "]"}], "+", 
      RowBox[{"A", "[", "m", "]"}]}], ")"}], "/", "5"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"V1", "=", 
   RowBox[{"B", "[", 
    RowBox[{"10", ",", "15", ",", "4", ",", "20", ",", "18"}], "]"}]}], ";", 
  RowBox[{"V2", "=", 
   RowBox[{"B", "[", 
    RowBox[{"8", ",", "4", ",", "15", ",", "1", ",", "16"}], "]"}]}], ";", 
  RowBox[{"V3", "=", 
   RowBox[{"B", "[", 
    RowBox[{"14", ",", "3", ",", "19", ",", "17", ",", "9"}], "]"}]}], ";", 
  RowBox[{"V4", "=", 
   RowBox[{"B", "[", 
    RowBox[{"10", ",", "9", ",", "17", ",", "13", ",", "18"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"V5", "=", 
   RowBox[{"B", "[", 
    RowBox[{"2", ",", "5", ",", "19", ",", "17", ",", "13"}], "]"}]}], ";", 
  RowBox[{"V6", "=", 
   RowBox[{"B", "[", 
    RowBox[{"6", ",", "2", ",", "5", ",", "11", ",", "12"}], "]"}]}], ";", 
  RowBox[{"V7", "=", 
   RowBox[{"B", "[", 
    RowBox[{"4", ",", "20", ",", "6", ",", "12", ",", "8"}], "]"}]}], ";", 
  "     ", 
  RowBox[{"V8", "=", 
   RowBox[{"B", "[", 
    RowBox[{"6", ",", "2", ",", "20", ",", "13", ",", "18"}], "]"}]}], ";", 
  RowBox[{"V9", "=", 
   RowBox[{"B", "[", 
    RowBox[{"16", ",", "1", ",", "14", ",", "3", ",", "7"}], "]"}]}], ";", 
  RowBox[{"V10", "=", 
   RowBox[{"B", "[", 
    RowBox[{"11", ",", "7", ",", "3", ",", "19", ",", "5"}], "]"}]}], ";", 
  RowBox[{"V11", "=", 
   RowBox[{"B", "[", 
    RowBox[{"8", ",", "16", ",", "7", ",", "11", ",", "12"}], "]"}]}], ";", 
  RowBox[{"V12", "=", 
   RowBox[{"B", "[", 
    RowBox[{"10", ",", "9", ",", "14", ",", "1", ",", "15"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Graphics3D", "[", 
   RowBox[{
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{"Yellow", ",", 
      RowBox[{"Opacity", "[", "0.2", "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"PolyhedronData", "[", 
       RowBox[{"\"\<Dodecahedron\>\"", ",", "\"\<Faces\>\""}], "]"}], ",", 
      "\[IndentingNewLine]", "Black", ",", 
      RowBox[{"Opacity", "[", "1", "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"PointSize", "[", "Large", "]"}], ",", 
        RowBox[{"Point", "[", 
         RowBox[{"{", "V1", "}"}], "]"}], ",", 
        RowBox[{"Point", "[", 
         RowBox[{"{", "V2", "}"}], "]"}], ",", 
        RowBox[{"Point", "[", 
         RowBox[{"{", "V3", "}"}], "]"}], ",", 
        RowBox[{"Point", "[", 
         RowBox[{"{", "V4", "}"}], "]"}], ",", 
        RowBox[{"Point", "[", 
         RowBox[{"{", "V5", "}"}], "]"}], ",", 
        RowBox[{"Point", "[", 
         RowBox[{"{", "V6", "}"}], "]"}], ",", 
        RowBox[{"Point", "[", 
         RowBox[{"{", "V7", "}"}], "]"}], ",", 
        RowBox[{"Point", "[", 
         RowBox[{"{", "V8", "}"}], "]"}], ",", "\[IndentingNewLine]", 
        RowBox[{"Point", "[", 
         RowBox[{"{", "V9", "}"}], "]"}], ",", 
        RowBox[{"Point", "[", 
         RowBox[{"{", "V10", "}"}], "]"}], ",", 
        RowBox[{"Point", "[", 
         RowBox[{"{", "V11", "}"}], "]"}], ",", 
        RowBox[{"Point", "[", 
         RowBox[{"{", "V12", "}"}], "]"}]}], "}"}], ",", 
      "\[IndentingNewLine]", "Green", ",", 
      RowBox[{"Opacity", "[", "0.8", "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Polygon", "[", 
       RowBox[{"{", 
        RowBox[{"V1", ",", "V2", ",", "V7"}], "}"}], "]"}], ",", 
      RowBox[{"Polygon", "[", 
       RowBox[{"{", 
        RowBox[{"V11", ",", "V2", ",", "V7"}], "}"}], "]"}], ",", 
      RowBox[{"Polygon", "[", 
       RowBox[{"{", 
        RowBox[{"V1", ",", "V8", ",", "V7"}], "}"}], "]"}], ",", 
      RowBox[{"Polygon", "[", 
       RowBox[{"{", 
        RowBox[{"V1", ",", "V8", ",", "V4"}], "}"}], "]"}], ",", 
      RowBox[{"Polygon", "[", 
       RowBox[{"{", 
        RowBox[{"V8", ",", "V4", ",", "V5"}], "}"}], "]"}], ",", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"Polygon", "[", 
       RowBox[{"{", 
        RowBox[{"V1", ",", "V4", ",", "V12"}], "}"}], "]"}], ",", 
      RowBox[{"Polygon", "[", 
       RowBox[{"{", 
        RowBox[{"V1", ",", "V2", ",", "V12"}], "}"}], "]"}], ",", 
      RowBox[{"Polygon", "[", 
       RowBox[{"{", 
        RowBox[{"V11", ",", "V6", ",", "V7"}], "}"}], "]"}], ",", 
      RowBox[{"Polygon", "[", 
       RowBox[{"{", 
        RowBox[{"V11", ",", "V6", ",", "V10"}], "}"}], "]"}], ",", 
      RowBox[{"Polygon", "[", 
       RowBox[{"{", 
        RowBox[{"V6", ",", "V8", ",", "V7"}], "}"}], "]"}], ",", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"Polygon", "[", 
       RowBox[{"{", 
        RowBox[{"V8", ",", "V6", ",", "V5"}], "}"}], "]"}], ",", 
      RowBox[{"Polygon", "[", 
       RowBox[{"{", 
        RowBox[{"V6", ",", "V5", ",", "V10"}], "}"}], "]"}], ",", 
      RowBox[{"Polygon", "[", 
       RowBox[{"{", 
        RowBox[{"V11", ",", "V10", ",", "V9"}], "}"}], "]"}], ",", 
      RowBox[{"Polygon", "[", 
       RowBox[{"{", 
        RowBox[{"V11", ",", "V2", ",", "V9"}], "}"}], "]"}], ",", 
      RowBox[{"Polygon", "[", 
       RowBox[{"{", 
        RowBox[{"V9", ",", "V2", ",", "V12"}], "}"}], "]"}], ",", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"Polygon", "[", 
       RowBox[{"{", 
        RowBox[{"V12", ",", "V4", ",", "V3"}], "}"}], "]"}], ",", 
      RowBox[{"Polygon", "[", 
       RowBox[{"{", 
        RowBox[{"V3", ",", "V4", ",", "V5"}], "}"}], "]"}], ",", 
      RowBox[{"Polygon", "[", 
       RowBox[{"{", 
        RowBox[{"V12", ",", "V9", ",", "V3"}], "}"}], "]"}], ",", 
      RowBox[{"Polygon", "[", 
       RowBox[{"{", 
        RowBox[{"V9", ",", "V10", ",", "V3"}], "}"}], "]"}], ",", 
      RowBox[{"Polygon", "[", 
       RowBox[{"{", 
        RowBox[{"V3", ",", "V10", ",", "V5"}], "}"}], "]"}]}], 
     "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"Boxed", "\[Rule]", "False"}]}], "]"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.621278509421548*^9, 3.621278551272461*^9}, {
  3.6212786399018617`*^9, 3.621278644232093*^9}, {3.6242318799952774`*^9, 
  3.624231909962109*^9}, {3.624231981314679*^9, 3.6242320015005617`*^9}}],

Cell[BoxData[
 Graphics3DBox[{
   {RGBColor[1, 1, 0], Opacity[0.2], 
    GraphicsComplex3DBox[
     NCache[{{-(1 + 2 5^Rational[-1, 2])^Rational[1, 2], 0, Root[
        1 - 20 #^2 + 80 #^4& , 3, 0]}, {(1 + 2 5^Rational[-1, 2])^
        Rational[1, 2], 0, Root[1 - 20 #^2 + 80 #^4& , 2, 0]}, {
       Root[1 - 20 #^2 + 80 #^4& , 1, 0], 
        Rational[1, 4] (-3 - 5^Rational[1, 2]), Root[
        1 - 20 #^2 + 80 #^4& , 3, 0]}, {
       Root[1 - 20 #^2 + 80 #^4& , 1, 0], 
        Rational[1, 4] (3 + 5^Rational[1, 2]), Root[
        1 - 20 #^2 + 80 #^4& , 3, 0]}, {(Rational[5, 8] + 
         Rational[11, 8] 5^Rational[-1, 2])^Rational[1, 2], 
        Rational[1, 4] (-1 - 5^Rational[1, 2]), Root[
        1 - 20 #^2 + 80 #^4& , 3, 0]}, {(Rational[5, 8] + 
         Rational[11, 8] 5^Rational[-1, 2])^Rational[1, 2], 
        Rational[1, 4] (1 + 5^Rational[1, 2]), Root[
        1 - 20 #^2 + 80 #^4& , 3, 0]}, {
       Root[1 - 20 #^2 + 80 #^4& , 2, 0], 
        Rational[1, 4] (-1 - 5^Rational[1, 2]), (Rational[5, 8] + 
         Rational[11, 8] 5^Rational[-1, 2])^Rational[1, 2]}, {
       Root[1 - 20 #^2 + 80 #^4& , 2, 0], 
        Rational[1, 4] (1 + 5^Rational[1, 2]), (Rational[5, 8] + 
         Rational[11, 8] 5^Rational[-1, 2])^Rational[1, 2]}, {
       Rational[-1, 2] (1 + 2 5^Rational[-1, 2])^Rational[1, 2], 
        Rational[-1, 2], Root[1 - 100 #^2 + 80 #^4& , 1, 0]}, {
       Rational[-1, 2] (1 + 2 5^Rational[-1, 2])^Rational[1, 2], Rational[
        1, 2], Root[
        1 - 100 #^2 + 80 #^4& , 1, 0]}, {(Rational[1, 4] + 
         Rational[1, 2] 5^Rational[-1, 2])^Rational[1, 2], 
        Rational[-1, 2], (Rational[5, 8] + Rational[11, 8] 5^Rational[-1, 2])^
        Rational[1, 2]}, {(Rational[1, 4] + Rational[1, 2] 5^Rational[-1, 2])^
        Rational[1, 2], Rational[
        1, 2], (Rational[5, 8] + Rational[11, 8] 5^Rational[-1, 2])^
        Rational[1, 2]}, {(Rational[1, 10] (5 + 5^Rational[1, 2]))^
        Rational[1, 2], 0, Root[1 - 100 #^2 + 80 #^4& , 1, 0]}, {
       Root[1 - 100 #^2 + 80 #^4& , 1, 0], 
        Rational[1, 4] (-1 - 5^Rational[1, 2]), Root[
        1 - 20 #^2 + 80 #^4& , 2, 0]}, {
       Root[1 - 100 #^2 + 80 #^4& , 1, 0], 
        Rational[1, 4] (1 + 5^Rational[1, 2]), Root[
        1 - 20 #^2 + 80 #^4& , 2, 0]}, {
       Root[1 - 5 #^2 + 5 #^4& , 1, 0], 
        0, (Rational[5, 8] + Rational[11, 8] 5^Rational[-1, 2])^
        Rational[1, 2]}, {
       Root[1 - 20 #^2 + 80 #^4& , 3, 0], 
        Rational[1, 4] (-1 - 5^Rational[1, 2]), Root[
        1 - 100 #^2 + 80 #^4& , 1, 0]}, {
       Root[1 - 20 #^2 + 80 #^4& , 3, 0], 
        Rational[1, 4] (1 + 5^Rational[1, 2]), Root[
        1 - 100 #^2 + 80 #^4& , 1, 0]}, {(Rational[1, 8] + 
         Rational[1, 8] 5^Rational[-1, 2])^Rational[1, 2], 
        Rational[1, 4] (-3 - 5^Rational[1, 2]), Root[
        1 - 20 #^2 + 80 #^4& , 2, 0]}, {(Rational[1, 8] + 
         Rational[1, 8] 5^Rational[-1, 2])^Rational[1, 2], 
        Rational[1, 4] (3 + 5^Rational[1, 2]), Root[
        1 - 20 #^2 + 80 #^4& , 2, 0]}}, {{-1.3763819204711736`, 0, 
        0.2628655560595668}, {
       1.3763819204711736`, 
        0, -0.2628655560595668}, {-0.42532540417601994`, -1.3090169943749475`,
        0.2628655560595668}, {-0.42532540417601994`, 1.3090169943749475`, 
       0.2628655560595668}, {1.1135163644116066`, -0.8090169943749475, 
       0.2628655560595668}, {1.1135163644116066`, 0.8090169943749475, 
       0.2628655560595668}, {-0.2628655560595668, -0.8090169943749475, 
       1.1135163644116066`}, {-0.2628655560595668, 0.8090169943749475, 
       1.1135163644116066`}, {-0.6881909602355868, -0.5, \
-1.1135163644116068`}, {-0.6881909602355868, 0.5, -1.1135163644116068`}, {
       0.6881909602355868, -0.5, 1.1135163644116066`}, {0.6881909602355868, 
       0.5, 1.1135163644116066`}, {
       0.85065080835204, 
        0, -1.1135163644116068`}, {-1.1135163644116068`, -0.8090169943749475, \
-0.2628655560595668}, {-1.1135163644116068`, 
       0.8090169943749475, -0.2628655560595668}, {-0.8506508083520399, 0, 
        1.1135163644116066`}, {
       0.2628655560595668, -0.8090169943749475, -1.1135163644116068`}, {
       0.2628655560595668, 0.8090169943749475, -1.1135163644116068`}, {
       0.42532540417601994`, -1.3090169943749475`, -0.2628655560595668}, {
       0.42532540417601994`, 1.3090169943749475`, -0.2628655560595668}}], 
     Polygon3DBox[{{15, 10, 9, 14, 1}, {2, 6, 12, 11, 5}, {5, 11, 7, 3, 19}, {
      11, 12, 8, 16, 7}, {12, 6, 20, 4, 8}, {6, 2, 13, 18, 20}, {2, 5, 19, 17,
       13}, {4, 20, 18, 10, 15}, {18, 13, 17, 9, 10}, {17, 19, 3, 14, 9}, {3, 
      7, 16, 1, 14}, {16, 8, 4, 15, 1}}]]}, 
   {GrayLevel[0], Opacity[1], 
    {PointSize[Large], 
     Point3DBox[
      NCache[{{Rational[
          1, 5] ((Rational[1, 8] + Rational[1, 8] 5^Rational[-1, 2])^
           Rational[1, 2] + 
          Rational[-1, 2] (1 + 2 5^Rational[-1, 2])^Rational[1, 2] + 
          Root[1 - 100 #^2 + 80 #^4& , 1, 0] + 
          Root[1 - 20 #^2 + 80 #^4& , 1, 0] + 
          Root[1 - 20 #^2 + 80 #^4& , 3, 0]), 
         Rational[1, 5] (Rational[1, 2] + 
          Rational[1, 2] (1 + 5^Rational[1, 2]) + 
          Rational[1, 2] (3 + 5^Rational[1, 2])), 
         Rational[1, 5] (2 Root[1 - 100 #^2 + 80 #^4& , 1, 0] + 
          2 Root[1 - 20 #^2 + 80 #^4& , 2, 0] + 
          Root[1 - 20 #^2 + 80 #^4& , 3, 0])}}, {{-0.3077683537175254, 
       0.947213595499958, -0.49797965697655605`}}]], 
     Point3DBox[
      NCache[{{Rational[1, 5] (-(1 + 2 5^Rational[-1, 2])^Rational[1, 2] + 
          Root[1 - 5 #^2 + 5 #^4& , 1, 0] + 
          Root[1 - 100 #^2 + 80 #^4& , 1, 0] + 
          Root[1 - 20 #^2 + 80 #^4& , 1, 0] + 
          Root[1 - 20 #^2 + 80 #^4& , 2, 0]), 
         Rational[1, 5] (Rational[1, 2] (1 + 5^Rational[1, 2]) + 
          Rational[1, 4] (3 + 5^Rational[1, 2])), 
         Rational[1, 5] (
          2 (Rational[5, 8] + Rational[11, 8] 5^Rational[-1, 2])^
            Rational[1, 2] + Root[1 - 20 #^2 + 80 #^4& , 2, 0] + 
          2 Root[1 - 20 #^2 + 80 #^4& , 3, 0])}}, {{-0.8057480106940815, 
       0.5854101966249685, 0.49797965697655605`}}]], 
     Point3DBox[
      NCache[{{Rational[
          1, 5] ((Rational[1, 8] + Rational[1, 8] 5^Rational[-1, 2])^
           Rational[1, 2] + 
          Rational[-1, 2] (1 + 2 5^Rational[-1, 2])^Rational[1, 2] + 
          Root[1 - 100 #^2 + 80 #^4& , 1, 0] + 
          Root[1 - 20 #^2 + 80 #^4& , 1, 0] + 
          Root[1 - 20 #^2 + 80 #^4& , 3, 0]), 
         Rational[1, 5] (Rational[-1, 2] + 
          Rational[1, 2] (-3 - 5^Rational[1, 2]) + 
          Rational[1, 2] (-1 - 5^Rational[1, 2])), 
         Rational[1, 5] (2 Root[1 - 100 #^2 + 80 #^4& , 1, 0] + 
          2 Root[1 - 20 #^2 + 80 #^4& , 2, 0] + 
          Root[
           1 - 20 #^2 + 80 #^4& , 3, 
            0])}}, {{-0.3077683537175254, -0.947213595499958, \
-0.49797965697655605`}}]], 
     Point3DBox[
      NCache[{{Rational[
          1, 5] (-(1 + 2 5^Rational[-1, 2])^Rational[1, 2] + (
            Rational[1, 10] (5 + 5^Rational[1, 2]))^Rational[1, 2] + 
          2 Root[1 - 20 #^2 + 80 #^4& , 3, 0]), 
         Rational[1, 5] (Rational[1, 4] (-1 - 5^Rational[1, 2]) + 
          Rational[1, 4] (1 + 5^Rational[1, 2])), Root[
         1 - 100 #^2 + 80 #^4& , 1, 0]}}, {{0., 0., -1.1135163644116068`}}]], 
     Point3DBox[
      NCache[{{Rational[
          1, 5] ((Rational[1, 8] + Rational[1, 8] 5^Rational[-1, 2])^
           Rational[1, 2] + (Rational[5, 8] + 
            Rational[11, 8] 5^Rational[-1, 2])^
           Rational[1, 2] + (1 + 2 5^Rational[-1, 2])^
           Rational[1, 2] + (Rational[1, 10] (5 + 5^Rational[1, 2]))^
           Rational[1, 2] + Root[1 - 20 #^2 + 80 #^4& , 3, 0]), 
         Rational[1, 5] (Rational[1, 4] (-3 - 5^Rational[1, 2]) + 
          Rational[1, 2] (-1 - 5^Rational[1, 2])), 
         Rational[1, 5] (2 Root[1 - 100 #^2 + 80 #^4& , 1, 0] + 
          2 Root[1 - 20 #^2 + 80 #^4& , 2, 0] + 
          Root[1 - 20 #^2 + 80 #^4& , 3, 0])}}, {{
       0.8057480106940815, -0.5854101966249685, -0.49797965697655605`}}]], 
     Point3DBox[
      NCache[{{Rational[1, 5] (
          2 (Rational[1, 4] + Rational[1, 2] 5^Rational[-1, 2])^
            Rational[1, 2] + 
          2 (Rational[5, 8] + Rational[11, 8] 5^Rational[-1, 2])^
            Rational[1, 2] + (1 + 2 5^Rational[-1, 2])^Rational[1, 2]), 
         Rational[1, 5] (Rational[1, 4] (-1 - 5^Rational[1, 2]) + 
          Rational[1, 4] (1 + 5^Rational[1, 2])), 
         Rational[1, 5] (
          2 (Rational[5, 8] + Rational[11, 8] 5^Rational[-1, 2])^
            Rational[1, 2] + Root[1 - 20 #^2 + 80 #^4& , 2, 0] + 
          2 Root[1 - 20 #^2 + 80 #^4& , 3, 0])}}, {{0.9959593139531121, 0., 
       0.49797965697655605`}}]], 
     Point3DBox[
      NCache[{{Rational[
          1, 5] ((Rational[1, 8] + Rational[1, 8] 5^Rational[-1, 2])^
           Rational[1, 2] + (Rational[1, 4] + 
            Rational[1, 2] 5^Rational[-1, 2])^
           Rational[1, 2] + (Rational[5, 8] + 
            Rational[11, 8] 5^Rational[-1, 2])^Rational[1, 2] + 
          Root[1 - 20 #^2 + 80 #^4& , 1, 0] + 
          Root[1 - 20 #^2 + 80 #^4& , 2, 0]), 
         Rational[1, 5] (Rational[1, 2] + 
          Rational[1, 2] (1 + 5^Rational[1, 2]) + 
          Rational[1, 2] (3 + 5^Rational[1, 2])), 
         Rational[1, 5] (
          2 (Rational[5, 8] + Rational[11, 8] 5^Rational[-1, 2])^
            Rational[1, 2] + Root[1 - 20 #^2 + 80 #^4& , 2, 0] + 
          2 Root[1 - 20 #^2 + 80 #^4& , 3, 0])}}, {{0.3077683537175254, 
       0.947213595499958, 0.49797965697655605`}}]], 
     Point3DBox[
      NCache[{{Rational[
          1, 5] ((Rational[1, 8] + Rational[1, 8] 5^Rational[-1, 2])^
           Rational[1, 2] + (Rational[5, 8] + 
            Rational[11, 8] 5^Rational[-1, 2])^
           Rational[1, 2] + (1 + 2 5^Rational[-1, 2])^
           Rational[1, 2] + (Rational[1, 10] (5 + 5^Rational[1, 2]))^
           Rational[1, 2] + Root[1 - 20 #^2 + 80 #^4& , 3, 0]), 
         Rational[1, 5] (Rational[1, 2] (1 + 5^Rational[1, 2]) + 
          Rational[1, 4] (3 + 5^Rational[1, 2])), 
         Rational[1, 5] (2 Root[1 - 100 #^2 + 80 #^4& , 1, 0] + 
          2 Root[1 - 20 #^2 + 80 #^4& , 2, 0] + 
          Root[1 - 20 #^2 + 80 #^4& , 3, 0])}}, {{0.8057480106940815, 
       0.5854101966249685, -0.49797965697655605`}}]], 
     Point3DBox[
      NCache[{{Rational[1, 5] (-(1 + 2 5^Rational[-1, 2])^Rational[1, 2] + 
          Root[1 - 5 #^2 + 5 #^4& , 1, 0] + 
          Root[1 - 100 #^2 + 80 #^4& , 1, 0] + 
          Root[1 - 20 #^2 + 80 #^4& , 1, 0] + 
          Root[1 - 20 #^2 + 80 #^4& , 2, 0]), 
         Rational[1, 5] (Rational[1, 4] (-3 - 5^Rational[1, 2]) + 
          Rational[1, 2] (-1 - 5^Rational[1, 2])), 
         Rational[1, 5] (
          2 (Rational[5, 8] + Rational[11, 8] 5^Rational[-1, 2])^
            Rational[1, 2] + Root[1 - 20 #^2 + 80 #^4& , 2, 0] + 
          2 Root[1 - 20 #^2 + 80 #^4& , 3, 
             0])}}, {{-0.8057480106940815, -0.5854101966249685, 
       0.49797965697655605`}}]], 
     Point3DBox[
      NCache[{{Rational[
          1, 5] ((Rational[1, 8] + Rational[1, 8] 5^Rational[-1, 2])^
           Rational[1, 2] + (Rational[1, 4] + 
            Rational[1, 2] 5^Rational[-1, 2])^
           Rational[1, 2] + (Rational[5, 8] + 
            Rational[11, 8] 5^Rational[-1, 2])^Rational[1, 2] + 
          Root[1 - 20 #^2 + 80 #^4& , 1, 0] + 
          Root[1 - 20 #^2 + 80 #^4& , 2, 0]), 
         Rational[1, 5] (Rational[-1, 2] + 
          Rational[1, 2] (-3 - 5^Rational[1, 2]) + 
          Rational[1, 2] (-1 - 5^Rational[1, 2])), 
         Rational[1, 5] (
          2 (Rational[5, 8] + Rational[11, 8] 5^Rational[-1, 2])^
            Rational[1, 2] + Root[1 - 20 #^2 + 80 #^4& , 2, 0] + 
          2 Root[1 - 20 #^2 + 80 #^4& , 3, 0])}}, {{
       0.3077683537175254, -0.947213595499958, 0.49797965697655605`}}]], 
     Point3DBox[
      NCache[{{Rational[1, 5] (
          2 (Rational[1, 4] + Rational[1, 2] 5^Rational[-1, 2])^
            Rational[1, 2] + Root[1 - 5 #^2 + 5 #^4& , 1, 0] + 
          2 Root[1 - 20 #^2 + 80 #^4& , 2, 0]), 
         Rational[1, 5] (Rational[1, 4] (-1 - 5^Rational[1, 2]) + 
          Rational[1, 4] (1 + 5^Rational[1, 2])), (Rational[5, 8] + 
          Rational[11, 8] 5^Rational[-1, 2])^Rational[1, 2]}}, {{
       2.2204460492503132`*^-17, 0., 1.1135163644116066`}}]], 
     Point3DBox[
      NCache[{{Rational[1, 5] ((-2) (1 + 2 5^Rational[-1, 2])^Rational[1, 2] + 
          2 Root[1 - 100 #^2 + 80 #^4& , 1, 0]), 
         Rational[1, 5] (Rational[1, 4] (-1 - 5^Rational[1, 2]) + 
          Rational[1, 4] (1 + 5^Rational[1, 2])), 
         Rational[1, 5] (2 Root[1 - 100 #^2 + 80 #^4& , 1, 0] + 
          2 Root[1 - 20 #^2 + 80 #^4& , 2, 0] + 
          Root[1 - 20 #^2 + 80 #^4& , 3, 0])}}, {{-0.9959593139531123, 
       0., -0.49797965697655605`}}]]}}, 
   {RGBColor[0, 1, 0], Opacity[0.8], 
    Polygon3DBox[
     NCache[{{Rational[
         1, 5] ((Rational[1, 8] + Rational[1, 8] 5^Rational[-1, 2])^
          Rational[1, 2] + 
         Rational[-1, 2] (1 + 2 5^Rational[-1, 2])^Rational[1, 2] + 
         Root[1 - 100 #^2 + 80 #^4& , 1, 0] + 
         Root[1 - 20 #^2 + 80 #^4& , 1, 0] + 
         Root[1 - 20 #^2 + 80 #^4& , 3, 0]), 
        Rational[1, 5] (Rational[1, 2] + 
         Rational[1, 2] (1 + 5^Rational[1, 2]) + 
         Rational[1, 2] (3 + 5^Rational[1, 2])), 
        Rational[1, 5] (2 Root[1 - 100 #^2 + 80 #^4& , 1, 0] + 
         2 Root[1 - 20 #^2 + 80 #^4& , 2, 0] + 
         Root[1 - 20 #^2 + 80 #^4& , 3, 0])}, {
       Rational[1, 5] (-(1 + 2 5^Rational[-1, 2])^Rational[1, 2] + 
         Root[1 - 5 #^2 + 5 #^4& , 1, 0] + Root[1 - 100 #^2 + 80 #^4& , 1, 0] + 
         Root[1 - 20 #^2 + 80 #^4& , 1, 0] + 
         Root[1 - 20 #^2 + 80 #^4& , 2, 0]), 
        Rational[1, 5] (Rational[1, 2] (1 + 5^Rational[1, 2]) + 
         Rational[1, 4] (3 + 5^Rational[1, 2])), 
        Rational[1, 5] (
         2 (Rational[5, 8] + Rational[11, 8] 5^Rational[-1, 2])^
           Rational[1, 2] + Root[1 - 20 #^2 + 80 #^4& , 2, 0] + 
         2 Root[1 - 20 #^2 + 80 #^4& , 3, 0])}, {
       Rational[
         1, 5] ((Rational[1, 8] + Rational[1, 8] 5^Rational[-1, 2])^
          Rational[1, 2] + (Rational[1, 4] + 
           Rational[1, 2] 5^Rational[-1, 2])^
          Rational[1, 2] + (Rational[5, 8] + 
           Rational[11, 8] 5^Rational[-1, 2])^Rational[1, 2] + 
         Root[1 - 20 #^2 + 80 #^4& , 1, 0] + 
         Root[1 - 20 #^2 + 80 #^4& , 2, 0]), 
        Rational[1, 5] (Rational[1, 2] + 
         Rational[1, 2] (1 + 5^Rational[1, 2]) + 
         Rational[1, 2] (3 + 5^Rational[1, 2])), 
        Rational[1, 5] (
         2 (Rational[5, 8] + Rational[11, 8] 5^Rational[-1, 2])^
           Rational[1, 2] + Root[1 - 20 #^2 + 80 #^4& , 2, 0] + 
         2 Root[1 - 20 #^2 + 80 #^4& , 3, 0])}}, {{-0.3077683537175254, 
      0.947213595499958, -0.49797965697655605`}, {-0.8057480106940815, 
      0.5854101966249685, 0.49797965697655605`}, {0.3077683537175254, 
      0.947213595499958, 0.49797965697655605`}}]], 
    Polygon3DBox[
     NCache[{{Rational[1, 5] (
         2 (Rational[1, 4] + Rational[1, 2] 5^Rational[-1, 2])^Rational[1, 2] + 
         Root[1 - 5 #^2 + 5 #^4& , 1, 0] + 
         2 Root[1 - 20 #^2 + 80 #^4& , 2, 0]), 
        Rational[1, 5] (Rational[1, 4] (-1 - 5^Rational[1, 2]) + 
         Rational[1, 4] (1 + 5^Rational[1, 2])), (Rational[5, 8] + 
         Rational[11, 8] 5^Rational[-1, 2])^Rational[1, 2]}, {
       Rational[1, 5] (-(1 + 2 5^Rational[-1, 2])^Rational[1, 2] + 
         Root[1 - 5 #^2 + 5 #^4& , 1, 0] + Root[1 - 100 #^2 + 80 #^4& , 1, 0] + 
         Root[1 - 20 #^2 + 80 #^4& , 1, 0] + 
         Root[1 - 20 #^2 + 80 #^4& , 2, 0]), 
        Rational[1, 5] (Rational[1, 2] (1 + 5^Rational[1, 2]) + 
         Rational[1, 4] (3 + 5^Rational[1, 2])), 
        Rational[1, 5] (
         2 (Rational[5, 8] + Rational[11, 8] 5^Rational[-1, 2])^
           Rational[1, 2] + Root[1 - 20 #^2 + 80 #^4& , 2, 0] + 
         2 Root[1 - 20 #^2 + 80 #^4& , 3, 0])}, {
       Rational[
         1, 5] ((Rational[1, 8] + Rational[1, 8] 5^Rational[-1, 2])^
          Rational[1, 2] + (Rational[1, 4] + 
           Rational[1, 2] 5^Rational[-1, 2])^
          Rational[1, 2] + (Rational[5, 8] + 
           Rational[11, 8] 5^Rational[-1, 2])^Rational[1, 2] + 
         Root[1 - 20 #^2 + 80 #^4& , 1, 0] + 
         Root[1 - 20 #^2 + 80 #^4& , 2, 0]), 
        Rational[1, 5] (Rational[1, 2] + 
         Rational[1, 2] (1 + 5^Rational[1, 2]) + 
         Rational[1, 2] (3 + 5^Rational[1, 2])), 
        Rational[1, 5] (
         2 (Rational[5, 8] + Rational[11, 8] 5^Rational[-1, 2])^
           Rational[1, 2] + Root[1 - 20 #^2 + 80 #^4& , 2, 0] + 
         2 Root[1 - 20 #^2 + 80 #^4& , 3, 0])}}, {{2.2204460492503132`*^-17, 
      0., 1.1135163644116066`}, {-0.8057480106940815, 0.5854101966249685, 
      0.49797965697655605`}, {0.3077683537175254, 0.947213595499958, 
      0.49797965697655605`}}]], 
    Polygon3DBox[
     NCache[{{Rational[
         1, 5] ((Rational[1, 8] + Rational[1, 8] 5^Rational[-1, 2])^
          Rational[1, 2] + 
         Rational[-1, 2] (1 + 2 5^Rational[-1, 2])^Rational[1, 2] + 
         Root[1 - 100 #^2 + 80 #^4& , 1, 0] + 
         Root[1 - 20 #^2 + 80 #^4& , 1, 0] + 
         Root[1 - 20 #^2 + 80 #^4& , 3, 0]), 
        Rational[1, 5] (Rational[1, 2] + 
         Rational[1, 2] (1 + 5^Rational[1, 2]) + 
         Rational[1, 2] (3 + 5^Rational[1, 2])), 
        Rational[1, 5] (2 Root[1 - 100 #^2 + 80 #^4& , 1, 0] + 
         2 Root[1 - 20 #^2 + 80 #^4& , 2, 0] + 
         Root[1 - 20 #^2 + 80 #^4& , 3, 0])}, {
       Rational[
         1, 5] ((Rational[1, 8] + Rational[1, 8] 5^Rational[-1, 2])^
          Rational[1, 2] + (Rational[5, 8] + 
           Rational[11, 8] 5^Rational[-1, 2])^
          Rational[1, 2] + (1 + 2 5^Rational[-1, 2])^
          Rational[1, 2] + (Rational[1, 10] (5 + 5^Rational[1, 2]))^
          Rational[1, 2] + Root[1 - 20 #^2 + 80 #^4& , 3, 0]), 
        Rational[1, 5] (Rational[1, 2] (1 + 5^Rational[1, 2]) + 
         Rational[1, 4] (3 + 5^Rational[1, 2])), 
        Rational[1, 5] (2 Root[1 - 100 #^2 + 80 #^4& , 1, 0] + 
         2 Root[1 - 20 #^2 + 80 #^4& , 2, 0] + 
         Root[1 - 20 #^2 + 80 #^4& , 3, 0])}, {
       Rational[
         1, 5] ((Rational[1, 8] + Rational[1, 8] 5^Rational[-1, 2])^
          Rational[1, 2] + (Rational[1, 4] + 
           Rational[1, 2] 5^Rational[-1, 2])^
          Rational[1, 2] + (Rational[5, 8] + 
           Rational[11, 8] 5^Rational[-1, 2])^Rational[1, 2] + 
         Root[1 - 20 #^2 + 80 #^4& , 1, 0] + 
         Root[1 - 20 #^2 + 80 #^4& , 2, 0]), 
        Rational[1, 5] (Rational[1, 2] + 
         Rational[1, 2] (1 + 5^Rational[1, 2]) + 
         Rational[1, 2] (3 + 5^Rational[1, 2])), 
        Rational[1, 5] (
         2 (Rational[5, 8] + Rational[11, 8] 5^Rational[-1, 2])^
           Rational[1, 2] + Root[1 - 20 #^2 + 80 #^4& , 2, 0] + 
         2 Root[1 - 20 #^2 + 80 #^4& , 3, 0])}}, {{-0.3077683537175254, 
      0.947213595499958, -0.49797965697655605`}, {0.8057480106940815, 
      0.5854101966249685, -0.49797965697655605`}, {0.3077683537175254, 
      0.947213595499958, 0.49797965697655605`}}]], 
    Polygon3DBox[
     NCache[{{Rational[
         1, 5] ((Rational[1, 8] + Rational[1, 8] 5^Rational[-1, 2])^
          Rational[1, 2] + 
         Rational[-1, 2] (1 + 2 5^Rational[-1, 2])^Rational[1, 2] + 
         Root[1 - 100 #^2 + 80 #^4& , 1, 0] + 
         Root[1 - 20 #^2 + 80 #^4& , 1, 0] + 
         Root[1 - 20 #^2 + 80 #^4& , 3, 0]), 
        Rational[1, 5] (Rational[1, 2] + 
         Rational[1, 2] (1 + 5^Rational[1, 2]) + 
         Rational[1, 2] (3 + 5^Rational[1, 2])), 
        Rational[1, 5] (2 Root[1 - 100 #^2 + 80 #^4& , 1, 0] + 
         2 Root[1 - 20 #^2 + 80 #^4& , 2, 0] + 
         Root[1 - 20 #^2 + 80 #^4& , 3, 0])}, {
       Rational[
         1, 5] ((Rational[1, 8] + Rational[1, 8] 5^Rational[-1, 2])^
          Rational[1, 2] + (Rational[5, 8] + 
           Rational[11, 8] 5^Rational[-1, 2])^
          Rational[1, 2] + (1 + 2 5^Rational[-1, 2])^
          Rational[1, 2] + (Rational[1, 10] (5 + 5^Rational[1, 2]))^
          Rational[1, 2] + Root[1 - 20 #^2 + 80 #^4& , 3, 0]), 
        Rational[1, 5] (Rational[1, 2] (1 + 5^Rational[1, 2]) + 
         Rational[1, 4] (3 + 5^Rational[1, 2])), 
        Rational[1, 5] (2 Root[1 - 100 #^2 + 80 #^4& , 1, 0] + 
         2 Root[1 - 20 #^2 + 80 #^4& , 2, 0] + 
         Root[1 - 20 #^2 + 80 #^4& , 3, 0])}, {
       Rational[
         1, 5] (-(1 + 2 5^Rational[-1, 2])^Rational[1, 2] + (
           Rational[1, 10] (5 + 5^Rational[1, 2]))^Rational[1, 2] + 
         2 Root[1 - 20 #^2 + 80 #^4& , 3, 0]), 
        Rational[1, 5] (Rational[1, 4] (-1 - 5^Rational[1, 2]) + 
         Rational[1, 4] (1 + 5^Rational[1, 2])), Root[
        1 - 100 #^2 + 80 #^4& , 1, 0]}}, {{-0.3077683537175254, 
      0.947213595499958, -0.49797965697655605`}, {0.8057480106940815, 
      0.5854101966249685, -0.49797965697655605`}, {0., 
      0., -1.1135163644116068`}}]], 
    Polygon3DBox[
     NCache[{{Rational[
         1, 5] ((Rational[1, 8] + Rational[1, 8] 5^Rational[-1, 2])^
          Rational[1, 2] + (Rational[5, 8] + 
           Rational[11, 8] 5^Rational[-1, 2])^
          Rational[1, 2] + (1 + 2 5^Rational[-1, 2])^
          Rational[1, 2] + (Rational[1, 10] (5 + 5^Rational[1, 2]))^
          Rational[1, 2] + Root[1 - 20 #^2 + 80 #^4& , 3, 0]), 
        Rational[1, 5] (Rational[1, 2] (1 + 5^Rational[1, 2]) + 
         Rational[1, 4] (3 + 5^Rational[1, 2])), 
        Rational[1, 5] (2 Root[1 - 100 #^2 + 80 #^4& , 1, 0] + 
         2 Root[1 - 20 #^2 + 80 #^4& , 2, 0] + 
         Root[1 - 20 #^2 + 80 #^4& , 3, 0])}, {
       Rational[
         1, 5] (-(1 + 2 5^Rational[-1, 2])^Rational[1, 2] + (
           Rational[1, 10] (5 + 5^Rational[1, 2]))^Rational[1, 2] + 
         2 Root[1 - 20 #^2 + 80 #^4& , 3, 0]), 
        Rational[1, 5] (Rational[1, 4] (-1 - 5^Rational[1, 2]) + 
         Rational[1, 4] (1 + 5^Rational[1, 2])), Root[
        1 - 100 #^2 + 80 #^4& , 1, 0]}, {
       Rational[
         1, 5] ((Rational[1, 8] + Rational[1, 8] 5^Rational[-1, 2])^
          Rational[1, 2] + (Rational[5, 8] + 
           Rational[11, 8] 5^Rational[-1, 2])^
          Rational[1, 2] + (1 + 2 5^Rational[-1, 2])^
          Rational[1, 2] + (Rational[1, 10] (5 + 5^Rational[1, 2]))^
          Rational[1, 2] + Root[1 - 20 #^2 + 80 #^4& , 3, 0]), 
        Rational[1, 5] (Rational[1, 4] (-3 - 5^Rational[1, 2]) + 
         Rational[1, 2] (-1 - 5^Rational[1, 2])), 
        Rational[1, 5] (2 Root[1 - 100 #^2 + 80 #^4& , 1, 0] + 
         2 Root[1 - 20 #^2 + 80 #^4& , 2, 0] + 
         Root[1 - 20 #^2 + 80 #^4& , 3, 0])}}, {{0.8057480106940815, 
      0.5854101966249685, -0.49797965697655605`}, {0., 
      0., -1.1135163644116068`}, {
      0.8057480106940815, -0.5854101966249685, -0.49797965697655605`}}]], 
    Polygon3DBox[
     NCache[{{Rational[
         1, 5] ((Rational[1, 8] + Rational[1, 8] 5^Rational[-1, 2])^
          Rational[1, 2] + 
         Rational[-1, 2] (1 + 2 5^Rational[-1, 2])^Rational[1, 2] + 
         Root[1 - 100 #^2 + 80 #^4& , 1, 0] + 
         Root[1 - 20 #^2 + 80 #^4& , 1, 0] + 
         Root[1 - 20 #^2 + 80 #^4& , 3, 0]), 
        Rational[1, 5] (Rational[1, 2] + 
         Rational[1, 2] (1 + 5^Rational[1, 2]) + 
         Rational[1, 2] (3 + 5^Rational[1, 2])), 
        Rational[1, 5] (2 Root[1 - 100 #^2 + 80 #^4& , 1, 0] + 
         2 Root[1 - 20 #^2 + 80 #^4& , 2, 0] + 
         Root[1 - 20 #^2 + 80 #^4& , 3, 0])}, {
       Rational[
         1, 5] (-(1 + 2 5^Rational[-1, 2])^Rational[1, 2] + (
           Rational[1, 10] (5 + 5^Rational[1, 2]))^Rational[1, 2] + 
         2 Root[1 - 20 #^2 + 80 #^4& , 3, 0]), 
        Rational[1, 5] (Rational[1, 4] (-1 - 5^Rational[1, 2]) + 
         Rational[1, 4] (1 + 5^Rational[1, 2])), Root[
        1 - 100 #^2 + 80 #^4& , 1, 0]}, {
       Rational[1, 5] ((-2) (1 + 2 5^Rational[-1, 2])^Rational[1, 2] + 
         2 Root[1 - 100 #^2 + 80 #^4& , 1, 0]), 
        Rational[1, 5] (Rational[1, 4] (-1 - 5^Rational[1, 2]) + 
         Rational[1, 4] (1 + 5^Rational[1, 2])), 
        Rational[1, 5] (2 Root[1 - 100 #^2 + 80 #^4& , 1, 0] + 
         2 Root[1 - 20 #^2 + 80 #^4& , 2, 0] + 
         Root[1 - 20 #^2 + 80 #^4& , 3, 0])}}, {{-0.3077683537175254, 
      0.947213595499958, -0.49797965697655605`}, {0., 
      0., -1.1135163644116068`}, {-0.9959593139531123, 
      0., -0.49797965697655605`}}]], 
    Polygon3DBox[
     NCache[{{Rational[
         1, 5] ((Rational[1, 8] + Rational[1, 8] 5^Rational[-1, 2])^
          Rational[1, 2] + 
         Rational[-1, 2] (1 + 2 5^Rational[-1, 2])^Rational[1, 2] + 
         Root[1 - 100 #^2 + 80 #^4& , 1, 0] + 
         Root[1 - 20 #^2 + 80 #^4& , 1, 0] + 
         Root[1 - 20 #^2 + 80 #^4& , 3, 0]), 
        Rational[1, 5] (Rational[1, 2] + 
         Rational[1, 2] (1 + 5^Rational[1, 2]) + 
         Rational[1, 2] (3 + 5^Rational[1, 2])), 
        Rational[1, 5] (2 Root[1 - 100 #^2 + 80 #^4& , 1, 0] + 
         2 Root[1 - 20 #^2 + 80 #^4& , 2, 0] + 
         Root[1 - 20 #^2 + 80 #^4& , 3, 0])}, {
       Rational[1, 5] (-(1 + 2 5^Rational[-1, 2])^Rational[1, 2] + 
         Root[1 - 5 #^2 + 5 #^4& , 1, 0] + Root[1 - 100 #^2 + 80 #^4& , 1, 0] + 
         Root[1 - 20 #^2 + 80 #^4& , 1, 0] + 
         Root[1 - 20 #^2 + 80 #^4& , 2, 0]), 
        Rational[1, 5] (Rational[1, 2] (1 + 5^Rational[1, 2]) + 
         Rational[1, 4] (3 + 5^Rational[1, 2])), 
        Rational[1, 5] (
         2 (Rational[5, 8] + Rational[11, 8] 5^Rational[-1, 2])^
           Rational[1, 2] + Root[1 - 20 #^2 + 80 #^4& , 2, 0] + 
         2 Root[1 - 20 #^2 + 80 #^4& , 3, 0])}, {
       Rational[1, 5] ((-2) (1 + 2 5^Rational[-1, 2])^Rational[1, 2] + 
         2 Root[1 - 100 #^2 + 80 #^4& , 1, 0]), 
        Rational[1, 5] (Rational[1, 4] (-1 - 5^Rational[1, 2]) + 
         Rational[1, 4] (1 + 5^Rational[1, 2])), 
        Rational[1, 5] (2 Root[1 - 100 #^2 + 80 #^4& , 1, 0] + 
         2 Root[1 - 20 #^2 + 80 #^4& , 2, 0] + 
         Root[1 - 20 #^2 + 80 #^4& , 3, 0])}}, {{-0.3077683537175254, 
      0.947213595499958, -0.49797965697655605`}, {-0.8057480106940815, 
      0.5854101966249685, 0.49797965697655605`}, {-0.9959593139531123, 
      0., -0.49797965697655605`}}]], 
    Polygon3DBox[
     NCache[{{Rational[1, 5] (
         2 (Rational[1, 4] + Rational[1, 2] 5^Rational[-1, 2])^Rational[1, 2] + 
         Root[1 - 5 #^2 + 5 #^4& , 1, 0] + 
         2 Root[1 - 20 #^2 + 80 #^4& , 2, 0]), 
        Rational[1, 5] (Rational[1, 4] (-1 - 5^Rational[1, 2]) + 
         Rational[1, 4] (1 + 5^Rational[1, 2])), (Rational[5, 8] + 
         Rational[11, 8] 5^Rational[-1, 2])^Rational[1, 2]}, {
       Rational[1, 5] (
         2 (Rational[1, 4] + Rational[1, 2] 5^Rational[-1, 2])^Rational[1, 2] + 
         2 (Rational[5, 8] + Rational[11, 8] 5^Rational[-1, 2])^
           Rational[1, 2] + (1 + 2 5^Rational[-1, 2])^Rational[1, 2]), 
        Rational[1, 5] (Rational[1, 4] (-1 - 5^Rational[1, 2]) + 
         Rational[1, 4] (1 + 5^Rational[1, 2])), 
        Rational[1, 5] (
         2 (Rational[5, 8] + Rational[11, 8] 5^Rational[-1, 2])^
           Rational[1, 2] + Root[1 - 20 #^2 + 80 #^4& , 2, 0] + 
         2 Root[1 - 20 #^2 + 80 #^4& , 3, 0])}, {
       Rational[
         1, 5] ((Rational[1, 8] + Rational[1, 8] 5^Rational[-1, 2])^
          Rational[1, 2] + (Rational[1, 4] + 
           Rational[1, 2] 5^Rational[-1, 2])^
          Rational[1, 2] + (Rational[5, 8] + 
           Rational[11, 8] 5^Rational[-1, 2])^Rational[1, 2] + 
         Root[1 - 20 #^2 + 80 #^4& , 1, 0] + 
         Root[1 - 20 #^2 + 80 #^4& , 2, 0]), 
        Rational[1, 5] (Rational[1, 2] + 
         Rational[1, 2] (1 + 5^Rational[1, 2]) + 
         Rational[1, 2] (3 + 5^Rational[1, 2])), 
        Rational[1, 5] (
         2 (Rational[5, 8] + Rational[11, 8] 5^Rational[-1, 2])^
           Rational[1, 2] + Root[1 - 20 #^2 + 80 #^4& , 2, 0] + 
         2 Root[1 - 20 #^2 + 80 #^4& , 3, 0])}}, {{2.2204460492503132`*^-17, 
      0., 1.1135163644116066`}, {0.9959593139531121, 0., 
      0.49797965697655605`}, {0.3077683537175254, 0.947213595499958, 
      0.49797965697655605`}}]], 
    Polygon3DBox[
     NCache[{{Rational[1, 5] (
         2 (Rational[1, 4] + Rational[1, 2] 5^Rational[-1, 2])^Rational[1, 2] + 
         Root[1 - 5 #^2 + 5 #^4& , 1, 0] + 
         2 Root[1 - 20 #^2 + 80 #^4& , 2, 0]), 
        Rational[1, 5] (Rational[1, 4] (-1 - 5^Rational[1, 2]) + 
         Rational[1, 4] (1 + 5^Rational[1, 2])), (Rational[5, 8] + 
         Rational[11, 8] 5^Rational[-1, 2])^Rational[1, 2]}, {
       Rational[1, 5] (
         2 (Rational[1, 4] + Rational[1, 2] 5^Rational[-1, 2])^Rational[1, 2] + 
         2 (Rational[5, 8] + Rational[11, 8] 5^Rational[-1, 2])^
           Rational[1, 2] + (1 + 2 5^Rational[-1, 2])^Rational[1, 2]), 
        Rational[1, 5] (Rational[1, 4] (-1 - 5^Rational[1, 2]) + 
         Rational[1, 4] (1 + 5^Rational[1, 2])), 
        Rational[1, 5] (
         2 (Rational[5, 8] + Rational[11, 8] 5^Rational[-1, 2])^
           Rational[1, 2] + Root[1 - 20 #^2 + 80 #^4& , 2, 0] + 
         2 Root[1 - 20 #^2 + 80 #^4& , 3, 0])}, {
       Rational[
         1, 5] ((Rational[1, 8] + Rational[1, 8] 5^Rational[-1, 2])^
          Rational[1, 2] + (Rational[1, 4] + 
           Rational[1, 2] 5^Rational[-1, 2])^
          Rational[1, 2] + (Rational[5, 8] + 
           Rational[11, 8] 5^Rational[-1, 2])^Rational[1, 2] + 
         Root[1 - 20 #^2 + 80 #^4& , 1, 0] + 
         Root[1 - 20 #^2 + 80 #^4& , 2, 0]), 
        Rational[1, 5] (Rational[-1, 2] + 
         Rational[1, 2] (-3 - 5^Rational[1, 2]) + 
         Rational[1, 2] (-1 - 5^Rational[1, 2])), 
        Rational[1, 5] (
         2 (Rational[5, 8] + Rational[11, 8] 5^Rational[-1, 2])^
           Rational[1, 2] + Root[1 - 20 #^2 + 80 #^4& , 2, 0] + 
         2 Root[1 - 20 #^2 + 80 #^4& , 3, 0])}}, {{2.2204460492503132`*^-17, 
      0., 1.1135163644116066`}, {0.9959593139531121, 0., 
      0.49797965697655605`}, {0.3077683537175254, -0.947213595499958, 
      0.49797965697655605`}}]], 
    Polygon3DBox[
     NCache[{{Rational[1, 5] (
         2 (Rational[1, 4] + Rational[1, 2] 5^Rational[-1, 2])^Rational[1, 2] + 
         2 (Rational[5, 8] + Rational[11, 8] 5^Rational[-1, 2])^
           Rational[1, 2] + (1 + 2 5^Rational[-1, 2])^Rational[1, 2]), 
        Rational[1, 5] (Rational[1, 4] (-1 - 5^Rational[1, 2]) + 
         Rational[1, 4] (1 + 5^Rational[1, 2])), 
        Rational[1, 5] (
         2 (Rational[5, 8] + Rational[11, 8] 5^Rational[-1, 2])^
           Rational[1, 2] + Root[1 - 20 #^2 + 80 #^4& , 2, 0] + 
         2 Root[1 - 20 #^2 + 80 #^4& , 3, 0])}, {
       Rational[
         1, 5] ((Rational[1, 8] + Rational[1, 8] 5^Rational[-1, 2])^
          Rational[1, 2] + (Rational[5, 8] + 
           Rational[11, 8] 5^Rational[-1, 2])^
          Rational[1, 2] + (1 + 2 5^Rational[-1, 2])^
          Rational[1, 2] + (Rational[1, 10] (5 + 5^Rational[1, 2]))^
          Rational[1, 2] + Root[1 - 20 #^2 + 80 #^4& , 3, 0]), 
        Rational[1, 5] (Rational[1, 2] (1 + 5^Rational[1, 2]) + 
         Rational[1, 4] (3 + 5^Rational[1, 2])), 
        Rational[1, 5] (2 Root[1 - 100 #^2 + 80 #^4& , 1, 0] + 
         2 Root[1 - 20 #^2 + 80 #^4& , 2, 0] + 
         Root[1 - 20 #^2 + 80 #^4& , 3, 0])}, {
       Rational[
         1, 5] ((Rational[1, 8] + Rational[1, 8] 5^Rational[-1, 2])^
          Rational[1, 2] + (Rational[1, 4] + 
           Rational[1, 2] 5^Rational[-1, 2])^
          Rational[1, 2] + (Rational[5, 8] + 
           Rational[11, 8] 5^Rational[-1, 2])^Rational[1, 2] + 
         Root[1 - 20 #^2 + 80 #^4& , 1, 0] + 
         Root[1 - 20 #^2 + 80 #^4& , 2, 0]), 
        Rational[1, 5] (Rational[1, 2] + 
         Rational[1, 2] (1 + 5^Rational[1, 2]) + 
         Rational[1, 2] (3 + 5^Rational[1, 2])), 
        Rational[1, 5] (
         2 (Rational[5, 8] + Rational[11, 8] 5^Rational[-1, 2])^
           Rational[1, 2] + Root[1 - 20 #^2 + 80 #^4& , 2, 0] + 
         2 Root[1 - 20 #^2 + 80 #^4& , 3, 0])}}, {{0.9959593139531121, 0., 
      0.49797965697655605`}, {0.8057480106940815, 
      0.5854101966249685, -0.49797965697655605`}, {0.3077683537175254, 
      0.947213595499958, 0.49797965697655605`}}]], 
    Polygon3DBox[
     NCache[{{Rational[
         1, 5] ((Rational[1, 8] + Rational[1, 8] 5^Rational[-1, 2])^
          Rational[1, 2] + (Rational[5, 8] + 
           Rational[11, 8] 5^Rational[-1, 2])^
          Rational[1, 2] + (1 + 2 5^Rational[-1, 2])^
          Rational[1, 2] + (Rational[1, 10] (5 + 5^Rational[1, 2]))^
          Rational[1, 2] + Root[1 - 20 #^2 + 80 #^4& , 3, 0]), 
        Rational[1, 5] (Rational[1, 2] (1 + 5^Rational[1, 2]) + 
         Rational[1, 4] (3 + 5^Rational[1, 2])), 
        Rational[1, 5] (2 Root[1 - 100 #^2 + 80 #^4& , 1, 0] + 
         2 Root[1 - 20 #^2 + 80 #^4& , 2, 0] + 
         Root[1 - 20 #^2 + 80 #^4& , 3, 0])}, {
       Rational[1, 5] (
         2 (Rational[1, 4] + Rational[1, 2] 5^Rational[-1, 2])^Rational[1, 2] + 
         2 (Rational[5, 8] + Rational[11, 8] 5^Rational[-1, 2])^
           Rational[1, 2] + (1 + 2 5^Rational[-1, 2])^Rational[1, 2]), 
        Rational[1, 5] (Rational[1, 4] (-1 - 5^Rational[1, 2]) + 
         Rational[1, 4] (1 + 5^Rational[1, 2])), 
        Rational[1, 5] (
         2 (Rational[5, 8] + Rational[11, 8] 5^Rational[-1, 2])^
           Rational[1, 2] + Root[1 - 20 #^2 + 80 #^4& , 2, 0] + 
         2 Root[1 - 20 #^2 + 80 #^4& , 3, 0])}, {
       Rational[
         1, 5] ((Rational[1, 8] + Rational[1, 8] 5^Rational[-1, 2])^
          Rational[1, 2] + (Rational[5, 8] + 
           Rational[11, 8] 5^Rational[-1, 2])^
          Rational[1, 2] + (1 + 2 5^Rational[-1, 2])^
          Rational[1, 2] + (Rational[1, 10] (5 + 5^Rational[1, 2]))^
          Rational[1, 2] + Root[1 - 20 #^2 + 80 #^4& , 3, 0]), 
        Rational[1, 5] (Rational[1, 4] (-3 - 5^Rational[1, 2]) + 
         Rational[1, 2] (-1 - 5^Rational[1, 2])), 
        Rational[1, 5] (2 Root[1 - 100 #^2 + 80 #^4& , 1, 0] + 
         2 Root[1 - 20 #^2 + 80 #^4& , 2, 0] + 
         Root[1 - 20 #^2 + 80 #^4& , 3, 0])}}, {{0.8057480106940815, 
      0.5854101966249685, -0.49797965697655605`}, {0.9959593139531121, 0., 
      0.49797965697655605`}, {
      0.8057480106940815, -0.5854101966249685, -0.49797965697655605`}}]], 
    Polygon3DBox[
     NCache[{{Rational[1, 5] (
         2 (Rational[1, 4] + Rational[1, 2] 5^Rational[-1, 2])^Rational[1, 2] + 
         2 (Rational[5, 8] + Rational[11, 8] 5^Rational[-1, 2])^
           Rational[1, 2] + (1 + 2 5^Rational[-1, 2])^Rational[1, 2]), 
        Rational[1, 5] (Rational[1, 4] (-1 - 5^Rational[1, 2]) + 
         Rational[1, 4] (1 + 5^Rational[1, 2])), 
        Rational[1, 5] (
         2 (Rational[5, 8] + Rational[11, 8] 5^Rational[-1, 2])^
           Rational[1, 2] + Root[1 - 20 #^2 + 80 #^4& , 2, 0] + 
         2 Root[1 - 20 #^2 + 80 #^4& , 3, 0])}, {
       Rational[
         1, 5] ((Rational[1, 8] + Rational[1, 8] 5^Rational[-1, 2])^
          Rational[1, 2] + (Rational[5, 8] + 
           Rational[11, 8] 5^Rational[-1, 2])^
          Rational[1, 2] + (1 + 2 5^Rational[-1, 2])^
          Rational[1, 2] + (Rational[1, 10] (5 + 5^Rational[1, 2]))^
          Rational[1, 2] + Root[1 - 20 #^2 + 80 #^4& , 3, 0]), 
        Rational[1, 5] (Rational[1, 4] (-3 - 5^Rational[1, 2]) + 
         Rational[1, 2] (-1 - 5^Rational[1, 2])), 
        Rational[1, 5] (2 Root[1 - 100 #^2 + 80 #^4& , 1, 0] + 
         2 Root[1 - 20 #^2 + 80 #^4& , 2, 0] + 
         Root[1 - 20 #^2 + 80 #^4& , 3, 0])}, {
       Rational[
         1, 5] ((Rational[1, 8] + Rational[1, 8] 5^Rational[-1, 2])^
          Rational[1, 2] + (Rational[1, 4] + 
           Rational[1, 2] 5^Rational[-1, 2])^
          Rational[1, 2] + (Rational[5, 8] + 
           Rational[11, 8] 5^Rational[-1, 2])^Rational[1, 2] + 
         Root[1 - 20 #^2 + 80 #^4& , 1, 0] + 
         Root[1 - 20 #^2 + 80 #^4& , 2, 0]), 
        Rational[1, 5] (Rational[-1, 2] + 
         Rational[1, 2] (-3 - 5^Rational[1, 2]) + 
         Rational[1, 2] (-1 - 5^Rational[1, 2])), 
        Rational[1, 5] (
         2 (Rational[5, 8] + Rational[11, 8] 5^Rational[-1, 2])^
           Rational[1, 2] + Root[1 - 20 #^2 + 80 #^4& , 2, 0] + 
         2 Root[1 - 20 #^2 + 80 #^4& , 3, 0])}}, {{0.9959593139531121, 0., 
      0.49797965697655605`}, {
      0.8057480106940815, -0.5854101966249685, -0.49797965697655605`}, {
      0.3077683537175254, -0.947213595499958, 0.49797965697655605`}}]], 
    Polygon3DBox[
     NCache[{{Rational[1, 5] (
         2 (Rational[1, 4] + Rational[1, 2] 5^Rational[-1, 2])^Rational[1, 2] + 
         Root[1 - 5 #^2 + 5 #^4& , 1, 0] + 
         2 Root[1 - 20 #^2 + 80 #^4& , 2, 0]), 
        Rational[1, 5] (Rational[1, 4] (-1 - 5^Rational[1, 2]) + 
         Rational[1, 4] (1 + 5^Rational[1, 2])), (Rational[5, 8] + 
         Rational[11, 8] 5^Rational[-1, 2])^Rational[1, 2]}, {
       Rational[
         1, 5] ((Rational[1, 8] + Rational[1, 8] 5^Rational[-1, 2])^
          Rational[1, 2] + (Rational[1, 4] + 
           Rational[1, 2] 5^Rational[-1, 2])^
          Rational[1, 2] + (Rational[5, 8] + 
           Rational[11, 8] 5^Rational[-1, 2])^Rational[1, 2] + 
         Root[1 - 20 #^2 + 80 #^4& , 1, 0] + 
         Root[1 - 20 #^2 + 80 #^4& , 2, 0]), 
        Rational[1, 5] (Rational[-1, 2] + 
         Rational[1, 2] (-3 - 5^Rational[1, 2]) + 
         Rational[1, 2] (-1 - 5^Rational[1, 2])), 
        Rational[1, 5] (
         2 (Rational[5, 8] + Rational[11, 8] 5^Rational[-1, 2])^
           Rational[1, 2] + Root[1 - 20 #^2 + 80 #^4& , 2, 0] + 
         2 Root[1 - 20 #^2 + 80 #^4& , 3, 0])}, {
       Rational[1, 5] (-(1 + 2 5^Rational[-1, 2])^Rational[1, 2] + 
         Root[1 - 5 #^2 + 5 #^4& , 1, 0] + Root[1 - 100 #^2 + 80 #^4& , 1, 0] + 
         Root[1 - 20 #^2 + 80 #^4& , 1, 0] + 
         Root[1 - 20 #^2 + 80 #^4& , 2, 0]), 
        Rational[1, 5] (Rational[1, 4] (-3 - 5^Rational[1, 2]) + 
         Rational[1, 2] (-1 - 5^Rational[1, 2])), 
        Rational[1, 5] (
         2 (Rational[5, 8] + Rational[11, 8] 5^Rational[-1, 2])^
           Rational[1, 2] + Root[1 - 20 #^2 + 80 #^4& , 2, 0] + 
         2 Root[1 - 20 #^2 + 80 #^4& , 3, 0])}}, {{2.2204460492503132`*^-17, 
      0., 1.1135163644116066`}, {0.3077683537175254, -0.947213595499958, 
      0.49797965697655605`}, {-0.8057480106940815, -0.5854101966249685, 
      0.49797965697655605`}}]], 
    Polygon3DBox[
     NCache[{{Rational[1, 5] (
         2 (Rational[1, 4] + Rational[1, 2] 5^Rational[-1, 2])^Rational[1, 2] + 
         Root[1 - 5 #^2 + 5 #^4& , 1, 0] + 
         2 Root[1 - 20 #^2 + 80 #^4& , 2, 0]), 
        Rational[1, 5] (Rational[1, 4] (-1 - 5^Rational[1, 2]) + 
         Rational[1, 4] (1 + 5^Rational[1, 2])), (Rational[5, 8] + 
         Rational[11, 8] 5^Rational[-1, 2])^Rational[1, 2]}, {
       Rational[1, 5] (-(1 + 2 5^Rational[-1, 2])^Rational[1, 2] + 
         Root[1 - 5 #^2 + 5 #^4& , 1, 0] + Root[1 - 100 #^2 + 80 #^4& , 1, 0] + 
         Root[1 - 20 #^2 + 80 #^4& , 1, 0] + 
         Root[1 - 20 #^2 + 80 #^4& , 2, 0]), 
        Rational[1, 5] (Rational[1, 2] (1 + 5^Rational[1, 2]) + 
         Rational[1, 4] (3 + 5^Rational[1, 2])), 
        Rational[1, 5] (
         2 (Rational[5, 8] + Rational[11, 8] 5^Rational[-1, 2])^
           Rational[1, 2] + Root[1 - 20 #^2 + 80 #^4& , 2, 0] + 
         2 Root[1 - 20 #^2 + 80 #^4& , 3, 0])}, {
       Rational[1, 5] (-(1 + 2 5^Rational[-1, 2])^Rational[1, 2] + 
         Root[1 - 5 #^2 + 5 #^4& , 1, 0] + Root[1 - 100 #^2 + 80 #^4& , 1, 0] + 
         Root[1 - 20 #^2 + 80 #^4& , 1, 0] + 
         Root[1 - 20 #^2 + 80 #^4& , 2, 0]), 
        Rational[1, 5] (Rational[1, 4] (-3 - 5^Rational[1, 2]) + 
         Rational[1, 2] (-1 - 5^Rational[1, 2])), 
        Rational[1, 5] (
         2 (Rational[5, 8] + Rational[11, 8] 5^Rational[-1, 2])^
           Rational[1, 2] + Root[1 - 20 #^2 + 80 #^4& , 2, 0] + 
         2 Root[1 - 20 #^2 + 80 #^4& , 3, 0])}}, {{2.2204460492503132`*^-17, 
      0., 1.1135163644116066`}, {-0.8057480106940815, 0.5854101966249685, 
      0.49797965697655605`}, {-0.8057480106940815, -0.5854101966249685, 
      0.49797965697655605`}}]], 
    Polygon3DBox[
     NCache[{{Rational[1, 5] (-(1 + 2 5^Rational[-1, 2])^Rational[1, 2] + 
         Root[1 - 5 #^2 + 5 #^4& , 1, 0] + Root[1 - 100 #^2 + 80 #^4& , 1, 0] + 
         Root[1 - 20 #^2 + 80 #^4& , 1, 0] + 
         Root[1 - 20 #^2 + 80 #^4& , 2, 0]), 
        Rational[1, 5] (Rational[1, 4] (-3 - 5^Rational[1, 2]) + 
         Rational[1, 2] (-1 - 5^Rational[1, 2])), 
        Rational[1, 5] (
         2 (Rational[5, 8] + Rational[11, 8] 5^Rational[-1, 2])^
           Rational[1, 2] + Root[1 - 20 #^2 + 80 #^4& , 2, 0] + 
         2 Root[1 - 20 #^2 + 80 #^4& , 3, 0])}, {
       Rational[1, 5] (-(1 + 2 5^Rational[-1, 2])^Rational[1, 2] + 
         Root[1 - 5 #^2 + 5 #^4& , 1, 0] + Root[1 - 100 #^2 + 80 #^4& , 1, 0] + 
         Root[1 - 20 #^2 + 80 #^4& , 1, 0] + 
         Root[1 - 20 #^2 + 80 #^4& , 2, 0]), 
        Rational[1, 5] (Rational[1, 2] (1 + 5^Rational[1, 2]) + 
         Rational[1, 4] (3 + 5^Rational[1, 2])), 
        Rational[1, 5] (
         2 (Rational[5, 8] + Rational[11, 8] 5^Rational[-1, 2])^
           Rational[1, 2] + Root[1 - 20 #^2 + 80 #^4& , 2, 0] + 
         2 Root[1 - 20 #^2 + 80 #^4& , 3, 0])}, {
       Rational[1, 5] ((-2) (1 + 2 5^Rational[-1, 2])^Rational[1, 2] + 
         2 Root[1 - 100 #^2 + 80 #^4& , 1, 0]), 
        Rational[1, 5] (Rational[1, 4] (-1 - 5^Rational[1, 2]) + 
         Rational[1, 4] (1 + 5^Rational[1, 2])), 
        Rational[1, 5] (2 Root[1 - 100 #^2 + 80 #^4& , 1, 0] + 
         2 Root[1 - 20 #^2 + 80 #^4& , 2, 0] + 
         Root[1 - 20 #^2 + 80 #^4& , 3, 
           0])}}, {{-0.8057480106940815, -0.5854101966249685, 
      0.49797965697655605`}, {-0.8057480106940815, 0.5854101966249685, 
      0.49797965697655605`}, {-0.9959593139531123, 
      0., -0.49797965697655605`}}]], 
    Polygon3DBox[
     NCache[{{Rational[1, 5] ((-2) (1 + 2 5^Rational[-1, 2])^Rational[1, 2] + 
         2 Root[1 - 100 #^2 + 80 #^4& , 1, 0]), 
        Rational[1, 5] (Rational[1, 4] (-1 - 5^Rational[1, 2]) + 
         Rational[1, 4] (1 + 5^Rational[1, 2])), 
        Rational[1, 5] (2 Root[1 - 100 #^2 + 80 #^4& , 1, 0] + 
         2 Root[1 - 20 #^2 + 80 #^4& , 2, 0] + 
         Root[1 - 20 #^2 + 80 #^4& , 3, 0])}, {
       Rational[
         1, 5] (-(1 + 2 5^Rational[-1, 2])^Rational[1, 2] + (
           Rational[1, 10] (5 + 5^Rational[1, 2]))^Rational[1, 2] + 
         2 Root[1 - 20 #^2 + 80 #^4& , 3, 0]), 
        Rational[1, 5] (Rational[1, 4] (-1 - 5^Rational[1, 2]) + 
         Rational[1, 4] (1 + 5^Rational[1, 2])), Root[
        1 - 100 #^2 + 80 #^4& , 1, 0]}, {
       Rational[
         1, 5] ((Rational[1, 8] + Rational[1, 8] 5^Rational[-1, 2])^
          Rational[1, 2] + 
         Rational[-1, 2] (1 + 2 5^Rational[-1, 2])^Rational[1, 2] + 
         Root[1 - 100 #^2 + 80 #^4& , 1, 0] + 
         Root[1 - 20 #^2 + 80 #^4& , 1, 0] + 
         Root[1 - 20 #^2 + 80 #^4& , 3, 0]), 
        Rational[1, 5] (Rational[-1, 2] + 
         Rational[1, 2] (-3 - 5^Rational[1, 2]) + 
         Rational[1, 2] (-1 - 5^Rational[1, 2])), 
        Rational[1, 5] (2 Root[1 - 100 #^2 + 80 #^4& , 1, 0] + 
         2 Root[1 - 20 #^2 + 80 #^4& , 2, 0] + 
         Root[1 - 20 #^2 + 80 #^4& , 3, 0])}}, {{-0.9959593139531123, 
      0., -0.49797965697655605`}, {0., 
      0., -1.1135163644116068`}, {-0.3077683537175254, -0.947213595499958, \
-0.49797965697655605`}}]], 
    Polygon3DBox[
     NCache[{{Rational[
         1, 5] ((Rational[1, 8] + Rational[1, 8] 5^Rational[-1, 2])^
          Rational[1, 2] + 
         Rational[-1, 2] (1 + 2 5^Rational[-1, 2])^Rational[1, 2] + 
         Root[1 - 100 #^2 + 80 #^4& , 1, 0] + 
         Root[1 - 20 #^2 + 80 #^4& , 1, 0] + 
         Root[1 - 20 #^2 + 80 #^4& , 3, 0]), 
        Rational[1, 5] (Rational[-1, 2] + 
         Rational[1, 2] (-3 - 5^Rational[1, 2]) + 
         Rational[1, 2] (-1 - 5^Rational[1, 2])), 
        Rational[1, 5] (2 Root[1 - 100 #^2 + 80 #^4& , 1, 0] + 
         2 Root[1 - 20 #^2 + 80 #^4& , 2, 0] + 
         Root[1 - 20 #^2 + 80 #^4& , 3, 0])}, {
       Rational[
         1, 5] (-(1 + 2 5^Rational[-1, 2])^Rational[1, 2] + (
           Rational[1, 10] (5 + 5^Rational[1, 2]))^Rational[1, 2] + 
         2 Root[1 - 20 #^2 + 80 #^4& , 3, 0]), 
        Rational[1, 5] (Rational[1, 4] (-1 - 5^Rational[1, 2]) + 
         Rational[1, 4] (1 + 5^Rational[1, 2])), Root[
        1 - 100 #^2 + 80 #^4& , 1, 0]}, {
       Rational[
         1, 5] ((Rational[1, 8] + Rational[1, 8] 5^Rational[-1, 2])^
          Rational[1, 2] + (Rational[5, 8] + 
           Rational[11, 8] 5^Rational[-1, 2])^
          Rational[1, 2] + (1 + 2 5^Rational[-1, 2])^
          Rational[1, 2] + (Rational[1, 10] (5 + 5^Rational[1, 2]))^
          Rational[1, 2] + Root[1 - 20 #^2 + 80 #^4& , 3, 0]), 
        Rational[1, 5] (Rational[1, 4] (-3 - 5^Rational[1, 2]) + 
         Rational[1, 2] (-1 - 5^Rational[1, 2])), 
        Rational[1, 5] (2 Root[1 - 100 #^2 + 80 #^4& , 1, 0] + 
         2 Root[1 - 20 #^2 + 80 #^4& , 2, 0] + 
         Root[1 - 20 #^2 + 80 #^4& , 3, 
           0])}}, {{-0.3077683537175254, -0.947213595499958, \
-0.49797965697655605`}, {0., 0., -1.1135163644116068`}, {
      0.8057480106940815, -0.5854101966249685, -0.49797965697655605`}}]], 
    Polygon3DBox[
     NCache[{{Rational[1, 5] ((-2) (1 + 2 5^Rational[-1, 2])^Rational[1, 2] + 
         2 Root[1 - 100 #^2 + 80 #^4& , 1, 0]), 
        Rational[1, 5] (Rational[1, 4] (-1 - 5^Rational[1, 2]) + 
         Rational[1, 4] (1 + 5^Rational[1, 2])), 
        Rational[1, 5] (2 Root[1 - 100 #^2 + 80 #^4& , 1, 0] + 
         2 Root[1 - 20 #^2 + 80 #^4& , 2, 0] + 
         Root[1 - 20 #^2 + 80 #^4& , 3, 0])}, {
       Rational[1, 5] (-(1 + 2 5^Rational[-1, 2])^Rational[1, 2] + 
         Root[1 - 5 #^2 + 5 #^4& , 1, 0] + Root[1 - 100 #^2 + 80 #^4& , 1, 0] + 
         Root[1 - 20 #^2 + 80 #^4& , 1, 0] + 
         Root[1 - 20 #^2 + 80 #^4& , 2, 0]), 
        Rational[1, 5] (Rational[1, 4] (-3 - 5^Rational[1, 2]) + 
         Rational[1, 2] (-1 - 5^Rational[1, 2])), 
        Rational[1, 5] (
         2 (Rational[5, 8] + Rational[11, 8] 5^Rational[-1, 2])^
           Rational[1, 2] + Root[1 - 20 #^2 + 80 #^4& , 2, 0] + 
         2 Root[1 - 20 #^2 + 80 #^4& , 3, 0])}, {
       Rational[
         1, 5] ((Rational[1, 8] + Rational[1, 8] 5^Rational[-1, 2])^
          Rational[1, 2] + 
         Rational[-1, 2] (1 + 2 5^Rational[-1, 2])^Rational[1, 2] + 
         Root[1 - 100 #^2 + 80 #^4& , 1, 0] + 
         Root[1 - 20 #^2 + 80 #^4& , 1, 0] + 
         Root[1 - 20 #^2 + 80 #^4& , 3, 0]), 
        Rational[1, 5] (Rational[-1, 2] + 
         Rational[1, 2] (-3 - 5^Rational[1, 2]) + 
         Rational[1, 2] (-1 - 5^Rational[1, 2])), 
        Rational[1, 5] (2 Root[1 - 100 #^2 + 80 #^4& , 1, 0] + 
         2 Root[1 - 20 #^2 + 80 #^4& , 2, 0] + 
         Root[1 - 20 #^2 + 80 #^4& , 3, 0])}}, {{-0.9959593139531123, 
      0., -0.49797965697655605`}, {-0.8057480106940815, -0.5854101966249685, 
      0.49797965697655605`}, {-0.3077683537175254, -0.947213595499958, \
-0.49797965697655605`}}]], 
    Polygon3DBox[
     NCache[{{Rational[1, 5] (-(1 + 2 5^Rational[-1, 2])^Rational[1, 2] + 
         Root[1 - 5 #^2 + 5 #^4& , 1, 0] + Root[1 - 100 #^2 + 80 #^4& , 1, 0] + 
         Root[1 - 20 #^2 + 80 #^4& , 1, 0] + 
         Root[1 - 20 #^2 + 80 #^4& , 2, 0]), 
        Rational[1, 5] (Rational[1, 4] (-3 - 5^Rational[1, 2]) + 
         Rational[1, 2] (-1 - 5^Rational[1, 2])), 
        Rational[1, 5] (
         2 (Rational[5, 8] + Rational[11, 8] 5^Rational[-1, 2])^
           Rational[1, 2] + Root[1 - 20 #^2 + 80 #^4& , 2, 0] + 
         2 Root[1 - 20 #^2 + 80 #^4& , 3, 0])}, {
       Rational[
         1, 5] ((Rational[1, 8] + Rational[1, 8] 5^Rational[-1, 2])^
          Rational[1, 2] + (Rational[1, 4] + 
           Rational[1, 2] 5^Rational[-1, 2])^
          Rational[1, 2] + (Rational[5, 8] + 
           Rational[11, 8] 5^Rational[-1, 2])^Rational[1, 2] + 
         Root[1 - 20 #^2 + 80 #^4& , 1, 0] + 
         Root[1 - 20 #^2 + 80 #^4& , 2, 0]), 
        Rational[1, 5] (Rational[-1, 2] + 
         Rational[1, 2] (-3 - 5^Rational[1, 2]) + 
         Rational[1, 2] (-1 - 5^Rational[1, 2])), 
        Rational[1, 5] (
         2 (Rational[5, 8] + Rational[11, 8] 5^Rational[-1, 2])^
           Rational[1, 2] + Root[1 - 20 #^2 + 80 #^4& , 2, 0] + 
         2 Root[1 - 20 #^2 + 80 #^4& , 3, 0])}, {
       Rational[
         1, 5] ((Rational[1, 8] + Rational[1, 8] 5^Rational[-1, 2])^
          Rational[1, 2] + 
         Rational[-1, 2] (1 + 2 5^Rational[-1, 2])^Rational[1, 2] + 
         Root[1 - 100 #^2 + 80 #^4& , 1, 0] + 
         Root[1 - 20 #^2 + 80 #^4& , 1, 0] + 
         Root[1 - 20 #^2 + 80 #^4& , 3, 0]), 
        Rational[1, 5] (Rational[-1, 2] + 
         Rational[1, 2] (-3 - 5^Rational[1, 2]) + 
         Rational[1, 2] (-1 - 5^Rational[1, 2])), 
        Rational[1, 5] (2 Root[1 - 100 #^2 + 80 #^4& , 1, 0] + 
         2 Root[1 - 20 #^2 + 80 #^4& , 2, 0] + 
         Root[1 - 20 #^2 + 80 #^4& , 3, 
           0])}}, {{-0.8057480106940815, -0.5854101966249685, 
      0.49797965697655605`}, {0.3077683537175254, -0.947213595499958, 
      0.49797965697655605`}, {-0.3077683537175254, -0.947213595499958, \
-0.49797965697655605`}}]], 
    Polygon3DBox[
     NCache[{{Rational[
         1, 5] ((Rational[1, 8] + Rational[1, 8] 5^Rational[-1, 2])^
          Rational[1, 2] + 
         Rational[-1, 2] (1 + 2 5^Rational[-1, 2])^Rational[1, 2] + 
         Root[1 - 100 #^2 + 80 #^4& , 1, 0] + 
         Root[1 - 20 #^2 + 80 #^4& , 1, 0] + 
         Root[1 - 20 #^2 + 80 #^4& , 3, 0]), 
        Rational[1, 5] (Rational[-1, 2] + 
         Rational[1, 2] (-3 - 5^Rational[1, 2]) + 
         Rational[1, 2] (-1 - 5^Rational[1, 2])), 
        Rational[1, 5] (2 Root[1 - 100 #^2 + 80 #^4& , 1, 0] + 
         2 Root[1 - 20 #^2 + 80 #^4& , 2, 0] + 
         Root[1 - 20 #^2 + 80 #^4& , 3, 0])}, {
       Rational[
         1, 5] ((Rational[1, 8] + Rational[1, 8] 5^Rational[-1, 2])^
          Rational[1, 2] + (Rational[1, 4] + 
           Rational[1, 2] 5^Rational[-1, 2])^
          Rational[1, 2] + (Rational[5, 8] + 
           Rational[11, 8] 5^Rational[-1, 2])^Rational[1, 2] + 
         Root[1 - 20 #^2 + 80 #^4& , 1, 0] + 
         Root[1 - 20 #^2 + 80 #^4& , 2, 0]), 
        Rational[1, 5] (Rational[-1, 2] + 
         Rational[1, 2] (-3 - 5^Rational[1, 2]) + 
         Rational[1, 2] (-1 - 5^Rational[1, 2])), 
        Rational[1, 5] (
         2 (Rational[5, 8] + Rational[11, 8] 5^Rational[-1, 2])^
           Rational[1, 2] + Root[1 - 20 #^2 + 80 #^4& , 2, 0] + 
         2 Root[1 - 20 #^2 + 80 #^4& , 3, 0])}, {
       Rational[
         1, 5] ((Rational[1, 8] + Rational[1, 8] 5^Rational[-1, 2])^
          Rational[1, 2] + (Rational[5, 8] + 
           Rational[11, 8] 5^Rational[-1, 2])^
          Rational[1, 2] + (1 + 2 5^Rational[-1, 2])^
          Rational[1, 2] + (Rational[1, 10] (5 + 5^Rational[1, 2]))^
          Rational[1, 2] + Root[1 - 20 #^2 + 80 #^4& , 3, 0]), 
        Rational[1, 5] (Rational[1, 4] (-3 - 5^Rational[1, 2]) + 
         Rational[1, 2] (-1 - 5^Rational[1, 2])), 
        Rational[1, 5] (2 Root[1 - 100 #^2 + 80 #^4& , 1, 0] + 
         2 Root[1 - 20 #^2 + 80 #^4& , 2, 0] + 
         Root[1 - 20 #^2 + 80 #^4& , 3, 
           0])}}, {{-0.3077683537175254, -0.947213595499958, \
-0.49797965697655605`}, {0.3077683537175254, -0.947213595499958, 
      0.49797965697655605`}, {
      0.8057480106940815, -0.5854101966249685, -0.49797965697655605`}}]]}},
  AutomaticImageSize->True,
  Boxed->False,
  ImageSize->{370.26404837722276`, 413.3105385943691},
  ViewPoint->{-2.2668455670049243`, -2.4984795011783136`, 
   0.26270012855325414`},
  ViewVertical->{-0.8717037001012243, 0.04388599326429274, 
   0.6035133938943231}]], "Output",
 CellChangeTimes->{{3.6242318696527424`*^9, 3.6242319117404633`*^9}, {
  3.6242319848713884`*^9, 3.624232001999749*^9}}]
}, {2}]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\:6b63\:4e8c\:5341\:9762\:4f53", "Section",
 CellChangeTimes->{{3.6242325826097364`*^9, 3.6242325877271595`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Clear", "[", 
   RowBox[{
   "B", ",", "V1", ",", "V2", ",", "V3", ",", "V4", ",", "V5", ",", "V6", ",",
     "V7", ",", "V8", ",", "V9", ",", "V10", ",", "V11", ",", "V12"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ICO", "=", 
   RowBox[{"PolyhedronData", "[", 
    RowBox[{"\"\<Icosahedron\>\"", ",", "\"\<VertexCoordinates\>\""}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"For", "[", 
   RowBox[{
    RowBox[{"i", "=", "1"}], ",", 
    RowBox[{"i", "<", "13"}], ",", 
    RowBox[{"i", "=", 
     RowBox[{"i", "+", "1"}]}], ",", 
    RowBox[{
     RowBox[{"A", "[", "i", "]"}], "=", 
     RowBox[{"ICO", "[", 
      RowBox[{"[", "i", "]"}], "]"}]}]}], "]"}], " ", ";", 
  RowBox[{"Clear", "[", "i", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"B", "[", 
    RowBox[{"i_", ",", "j_", ",", "k_"}], "]"}], "=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"A", "[", "i", "]"}], "+", 
      RowBox[{"A", "[", "j", "]"}], "+", 
      RowBox[{"A", "[", "k", "]"}]}], ")"}], "/", "3"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"V1", "=", 
   RowBox[{"B", "[", 
    RowBox[{"8", ",", "7", ",", "2"}], "]"}]}], ";", 
  RowBox[{"V2", "=", 
   RowBox[{"B", "[", 
    RowBox[{"8", ",", "2", ",", "12"}], "]"}]}], ";", 
  RowBox[{"V3", "=", 
   RowBox[{"B", "[", 
    RowBox[{"8", ",", "12", ",", "10"}], "]"}]}], ";", 
  RowBox[{"V4", "=", 
   RowBox[{"B", "[", 
    RowBox[{"8", ",", "10", ",", "3"}], "]"}]}], ";", 
  RowBox[{"V5", "=", 
   RowBox[{"B", "[", 
    RowBox[{"8", ",", "7", ",", "3"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"V6", "=", 
   RowBox[{"B", "[", 
    RowBox[{"2", ",", "4", ",", "12"}], "]"}]}], ";", 
  RowBox[{"V7", "=", 
   RowBox[{"B", "[", 
    RowBox[{"6", ",", "12", ",", "4"}], "]"}]}], ";", 
  RowBox[{"V8", "=", 
   RowBox[{"B", "[", 
    RowBox[{"6", ",", "12", ",", "10"}], "]"}]}], ";", "  ", 
  RowBox[{"V9", "=", 
   RowBox[{"B", "[", 
    RowBox[{"6", ",", "10", ",", "1"}], "]"}]}], ";", 
  RowBox[{"V9", "=", 
   RowBox[{"B", "[", 
    RowBox[{"3", ",", "1", ",", "10"}], "]"}]}], ";", 
  RowBox[{"V10", "=", 
   RowBox[{"B", "[", 
    RowBox[{"1", ",", "3", ",", "9"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"V11", "=", 
   RowBox[{"B", "[", 
    RowBox[{"6", ",", "1", ",", "10"}], "]"}]}], ";", 
  RowBox[{"V12", "=", 
   RowBox[{"B", "[", 
    RowBox[{"11", ",", "4", ",", "2"}], "]"}]}], ";", 
  RowBox[{"V13", "=", 
   RowBox[{"B", "[", 
    RowBox[{"3", ",", "9", ",", "7"}], "]"}]}], ";", "  ", 
  RowBox[{"V14", "=", 
   RowBox[{"B", "[", 
    RowBox[{"7", ",", "11", ",", "9"}], "]"}]}], ";", 
  RowBox[{"V15", "=", 
   RowBox[{"B", "[", 
    RowBox[{"7", ",", "11", ",", "2"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"V16", "=", 
    RowBox[{"B", "[", 
     RowBox[{"5", ",", "4", ",", "11"}], "]"}]}], ";", "  ", 
   RowBox[{"V17", "=", 
    RowBox[{"B", "[", 
     RowBox[{"5", ",", "4", ",", "6"}], "]"}]}], ";", 
   RowBox[{"V18", "=", 
    RowBox[{"B", "[", 
     RowBox[{"5", ",", "1", ",", "6"}], "]"}]}], ";", 
   RowBox[{"V19", "=", 
    RowBox[{"B", "[", 
     RowBox[{"5", ",", "9", ",", "1"}], "]"}]}], ";", 
   RowBox[{"V20", "=", 
    RowBox[{"B", "[", 
     RowBox[{"5", ",", "9", ",", "11"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Graphics3D", "[", 
  RowBox[{
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{"Yellow", ",", 
     RowBox[{"Opacity", "[", "0.2", "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"PolyhedronData", "[", 
      RowBox[{"\"\<Icosahedron\>\"", ",", "\"\<Faces\>\""}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Opacity", "[", "1", "]"}], ",", "Black", ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"PointSize", "[", "Large", "]"}], ",", 
       RowBox[{"Point", "[", 
        RowBox[{"{", "V1", "}"}], "]"}], ",", 
       RowBox[{"Point", "[", 
        RowBox[{"{", "V2", "}"}], "]"}], ",", 
       RowBox[{"Point", "[", 
        RowBox[{"{", "V3", "}"}], "]"}], ",", 
       RowBox[{"Point", "[", 
        RowBox[{"{", "V4", "}"}], "]"}], ",", 
       RowBox[{"Point", "[", 
        RowBox[{"{", "V5", "}"}], "]"}], ",", 
       RowBox[{"Point", "[", 
        RowBox[{"{", "V6", "}"}], "]"}], ",", 
       RowBox[{"Point", "[", 
        RowBox[{"{", "V7", "}"}], "]"}], ",", 
       RowBox[{"Point", "[", 
        RowBox[{"{", "V8", "}"}], "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Point", "[", 
        RowBox[{"{", "V9", "}"}], "]"}], ",", 
       RowBox[{"Point", "[", 
        RowBox[{"{", "V10", "}"}], "]"}], ",", 
       RowBox[{"Point", "[", 
        RowBox[{"{", "V11", "}"}], "]"}], ",", 
       RowBox[{"Point", "[", 
        RowBox[{"{", "V12", "}"}], "]"}], ",", 
       RowBox[{"Point", "[", 
        RowBox[{"{", "V13", "}"}], "]"}], ",", 
       RowBox[{"Point", "[", 
        RowBox[{"{", "V14", "}"}], "]"}], ",", 
       RowBox[{"Point", "[", 
        RowBox[{"{", "V15", "}"}], "]"}], ",", 
       RowBox[{"Point", "[", 
        RowBox[{"{", "V16", "}"}], "]"}], ",", 
       RowBox[{"Point", "[", 
        RowBox[{"{", "V17", "}"}], "]"}], ",", 
       RowBox[{"Point", "[", 
        RowBox[{"{", "V18", "}"}], "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Point", "[", 
        RowBox[{"{", "V19", "}"}], "]"}], ",", 
       RowBox[{"Point", "[", 
        RowBox[{"{", "V20", "}"}], "]"}]}], "}"}], ",", "\[IndentingNewLine]",
      "Green", ",", 
     RowBox[{"Opacity", "[", "0.8", "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Polygon", "[", 
      RowBox[{"{", 
       RowBox[{"V1", ",", "V2", ",", "V3", ",", "V4", ",", "V5"}], "}"}], 
      "]"}], ",", 
     RowBox[{"Polygon", "[", 
      RowBox[{"{", 
       RowBox[{"V5", ",", "V4", ",", "V9", ",", "V10", ",", "V13"}], "}"}], 
      "]"}], ",", 
     RowBox[{"Polygon", "[", 
      RowBox[{"{", 
       RowBox[{"V1", ",", "V5", ",", "V13", ",", "V14", ",", "V15"}], "}"}], 
      "]"}], ",", 
     RowBox[{"Polygon", "[", 
      RowBox[{"{", 
       RowBox[{"V10", ",", "V13", ",", "V14", ",", "V20", ",", "V19"}], "}"}],
       "]"}], ",", 
     RowBox[{"Polygon", "[", 
      RowBox[{"{", 
       RowBox[{"V20", ",", "V14", ",", "V15", ",", "V12", ",", "V16"}], "}"}],
       "]"}], ",", 
     RowBox[{"Polygon", "[", 
      RowBox[{"{", 
       RowBox[{"V12", ",", "V16", ",", "V17", ",", "V7", ",", "V6"}], "}"}], 
      "]"}], ",", 
     RowBox[{"Polygon", "[", 
      RowBox[{"{", 
       RowBox[{"V1", ",", "V2", ",", "V6", ",", "V12", ",", "V15"}], "}"}], 
      "]"}], ",", 
     RowBox[{"Polygon", "[", 
      RowBox[{"{", 
       RowBox[{"V20", ",", "V19", ",", "V18", ",", "V17", ",", "V16"}], "}"}],
       "]"}], ",", 
     RowBox[{"Polygon", "[", 
      RowBox[{"{", 
       RowBox[{"V19", ",", "V10", ",", "V9", ",", "V11", ",", "V18"}], "}"}], 
      "]"}], ",", 
     RowBox[{"Polygon", "[", 
      RowBox[{"{", 
       RowBox[{"V9", ",", "V4", ",", "V3", ",", "V8", ",", "V11"}], "}"}], 
      "]"}], ",", 
     RowBox[{"Polygon", "[", 
      RowBox[{"{", 
       RowBox[{"V3", ",", "V2", ",", "V6", ",", "V7", ",", "V8"}], "}"}], 
      "]"}], ",", 
     RowBox[{"Polygon", "[", 
      RowBox[{"{", 
       RowBox[{"V8", ",", "V7", ",", "V17", ",", "V18", ",", "V11"}], "}"}], 
      "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"Boxed", "\[Rule]", "False"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.596866224729958*^9, 3.596866225572585*^9}, {
  3.6242320951155615`*^9, 3.624232172895167*^9}, {3.6242322245495167`*^9, 
  3.6242323355833607`*^9}}],

Cell[BoxData[
 Graphics3DBox[{
   {RGBColor[1, 1, 0], Opacity[0.2], 
    GraphicsComplex3DBox[
     NCache[{{0, 0, (-5) (50 - 10 5^Rational[1, 2])^Rational[-1, 2]}, {
       0, 0, 5 (50 - 10 5^Rational[1, 2])^
         Rational[-1, 2]}, {-(2/(5 - 5^Rational[1, 2]))^Rational[1, 2], 
        0, -(10 - 2 5^Rational[1, 2])^Rational[-1, 2]}, {(2/(5 - 5^
         Rational[1, 2]))^Rational[1, 2], 0, (10 - 2 5^Rational[1, 2])^
        Rational[-1, 2]}, {
       Rational[1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (1 + 
         5^Rational[1, 2]), 
        Rational[-1, 2], -(10 - 2 5^Rational[1, 2])^Rational[-1, 2]}, {
       Rational[1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (1 + 
         5^Rational[1, 2]), Rational[
        1, 2], -(10 - 2 5^Rational[1, 2])^Rational[-1, 2]}, {
       Rational[-1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (1 + 
         5^Rational[1, 2]), Rational[-1, 2], (10 - 2 5^Rational[1, 2])^
        Rational[-1, 2]}, {
       Rational[-1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (1 + 
         5^Rational[1, 2]), Rational[1, 2], (10 - 2 5^Rational[1, 2])^
        Rational[-1, 2]}, {
       Rational[-1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (-1 + 
         5^Rational[1, 2]), 
        Rational[-1, 2] ((5 - 5^Rational[1, 2])^(-1) (5 + 5^Rational[1, 2]))^
         Rational[1, 2], -(10 - 2 5^Rational[1, 2])^Rational[-1, 2]}, {
       Rational[-1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (-1 + 
         5^Rational[1, 2]), 
        Rational[1, 2] ((5 - 5^Rational[1, 2])^(-1) (5 + 5^Rational[1, 2]))^
         Rational[1, 2], -(10 - 2 5^Rational[1, 2])^Rational[-1, 2]}, {
       Rational[1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (-1 + 
         5^Rational[1, 2]), 
        Rational[-1, 2] ((5 - 5^Rational[1, 2])^(-1) (5 + 5^Rational[1, 2]))^
         Rational[1, 2], (10 - 2 5^Rational[1, 2])^Rational[-1, 2]}, {
       Rational[1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (-1 + 
         5^Rational[1, 2]), 
        Rational[1, 2] ((5 - 5^Rational[1, 2])^(-1) (5 + 5^Rational[1, 2]))^
         Rational[1, 2], (10 - 2 5^Rational[1, 2])^Rational[-1, 2]}}, {{
       0, 0, -0.9510565162951536}, {
       0, 0, 0.9510565162951536}, {-0.85065080835204, 
        0, -0.42532540417601994`}, {
       0.85065080835204, 0, 0.42532540417601994`}, {
       0.6881909602355868, -0.5, -0.42532540417601994`}, {0.6881909602355868, 
       0.5, -0.42532540417601994`}, {-0.6881909602355868, -0.5, 
       0.42532540417601994`}, {-0.6881909602355868, 0.5, 
       0.42532540417601994`}, {-0.2628655560595668, -0.8090169943749475, \
-0.42532540417601994`}, {-0.2628655560595668, 
       0.8090169943749475, -0.42532540417601994`}, {
       0.2628655560595668, -0.8090169943749475, 0.42532540417601994`}, {
       0.2628655560595668, 0.8090169943749475, 0.42532540417601994`}}], 
     Polygon3DBox[{{2, 12, 8}, {2, 8, 7}, {2, 7, 11}, {2, 11, 4}, {2, 4, 
      12}, {5, 9, 1}, {6, 5, 1}, {10, 6, 1}, {3, 10, 1}, {9, 3, 1}, {12, 10, 
      8}, {8, 3, 7}, {7, 9, 11}, {11, 5, 4}, {4, 6, 12}, {5, 11, 9}, {6, 4, 
      5}, {10, 12, 6}, {3, 8, 10}, {9, 7, 3}}]]}, 
   {GrayLevel[0], Opacity[1], 
    {PointSize[Large], 
     Point3DBox[
      NCache[{{Rational[-1, 3] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (1 + 
          5^Rational[1, 2]), 0, 
         Rational[1, 3] (5 (50 - 10 5^Rational[1, 2])^Rational[-1, 2] + 
          2 (10 - 2 5^Rational[1, 2])^
            Rational[-1, 2])}}, {{-0.45879397349039114`, 0, 
         0.6005691082157312}}]], 
     Point3DBox[
      NCache[{{Rational[1, 3] (
          Rational[1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (-1 + 
            5^Rational[1, 2]) + 
          Rational[-1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (1 + 
            5^Rational[1, 2])), 
         Rational[1, 3] (Rational[1, 2] + 
          Rational[1, 2] ((5 - 5^Rational[1, 2])^(-1) (5 + 5^Rational[1, 2]))^
            Rational[1, 2]), 
         Rational[1, 3] (5 (50 - 10 5^Rational[1, 2])^Rational[-1, 2] + 
          2 (10 - 2 5^Rational[1, 2])^
            Rational[-1, 2])}}, {{-0.14177513472533998`, 0.43633899812498245`,
        0.6005691082157312}}]], 
     Point3DBox[
      NCache[{{Rational[-1, 6] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (1 + 
          5^Rational[1, 2]), 
         Rational[1, 3] (
          Rational[
           1, 2] + ((5 - 5^Rational[1, 2])^(-1) (5 + 5^Rational[1, 2]))^
           Rational[1, 2]), 
         Rational[1, 3] (10 - 2 5^Rational[1, 2])^
          Rational[-1, 2]}}, {{-0.22939698674519557`, 0.7060113295832983, 
       0.14177513472533998`}}]], 
     Point3DBox[
      NCache[{{Rational[1, 3] (-(2/(5 - 5^Rational[1, 2]))^Rational[1, 2] + 
          Rational[-1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (-1 + 
            5^Rational[1, 2]) + 
          Rational[-1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (1 + 
            5^Rational[1, 2])), 
         Rational[1, 3] (Rational[1, 2] + 
          Rational[1, 2] ((5 - 5^Rational[1, 2])^(-1) (5 + 5^Rational[1, 2]))^
            Rational[1, 2]), 
         Rational[-1, 3] (10 - 2 5^Rational[1, 2])^
          Rational[-1, 2]}}, {{-0.6005691082157312, 
       0.43633899812498245`, -0.14177513472533998`}}]], 
     Point3DBox[
      NCache[{{Rational[
          1, 3] (-(2/(5 - 5^Rational[1, 2]))^Rational[1, 2] - (10 - 2 
            5^Rational[1, 2])^Rational[-1, 2] (1 + 5^Rational[1, 2])), 0, 
         Rational[1, 3] (10 - 2 5^Rational[1, 2])^
          Rational[-1, 2]}}, {{-0.7423442429410712, 0, 
         0.14177513472533998`}}]], 
     Point3DBox[
      NCache[{{Rational[1, 3] ((2/(5 - 5^Rational[1, 2]))^Rational[1, 2] + 
          Rational[1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (-1 + 
            5^Rational[1, 2])), 
         Rational[1, 6] ((5 - 5^Rational[1, 2])^(-1) (5 + 5^Rational[1, 2]))^
          Rational[1, 2], 
         Rational[1, 3] (5 (50 - 10 5^Rational[1, 2])^Rational[-1, 2] + 
          2 (10 - 2 5^Rational[1, 2])^Rational[-1, 2])}}, {{
       0.3711721214705356, 0.2696723314583158, 0.6005691082157312}}]], 
     Point3DBox[
      NCache[{{Rational[1, 3] ((2/(5 - 5^Rational[1, 2]))^Rational[1, 2] + 
          Rational[1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (-1 + 
            5^Rational[1, 2]) + 
          Rational[1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (1 + 
            5^Rational[1, 2])), 
         Rational[1, 3] (Rational[1, 2] + 
          Rational[1, 2] ((5 - 5^Rational[1, 2])^(-1) (5 + 5^Rational[1, 2]))^
            Rational[1, 2]), 
         Rational[1, 3] (10 - 2 5^Rational[1, 2])^Rational[-1, 2]}}, {{
       0.6005691082157312, 0.43633899812498245`, 0.14177513472533998`}}]], 
     Point3DBox[
      NCache[{{Rational[1, 6] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (1 + 
          5^Rational[1, 2]), 
         Rational[1, 3] (
          Rational[
           1, 2] + ((5 - 5^Rational[1, 2])^(-1) (5 + 5^Rational[1, 2]))^
           Rational[1, 2]), 
         Rational[-1, 3] (10 - 2 5^Rational[1, 2])^Rational[-1, 2]}}, {{
       0.22939698674519557`, 0.7060113295832983, -0.14177513472533998`}}]], 
     Point3DBox[
      NCache[{{Rational[1, 3] (-(2/(5 - 5^Rational[1, 2]))^Rational[1, 2] + 
          Rational[-1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (-1 + 
            5^Rational[1, 2])), 
         Rational[1, 6] ((5 - 5^Rational[1, 2])^(-1) (5 + 5^Rational[1, 2]))^
          Rational[1, 2], 
         Rational[1, 3] ((-5) (50 - 10 5^Rational[1, 2])^Rational[-1, 2] - 
          2 (10 - 2 5^Rational[1, 2])^
           Rational[-1, 2])}}, {{-0.3711721214705356, 
       0.2696723314583158, -0.6005691082157312}}]], 
     Point3DBox[
      NCache[{{Rational[1, 3] (-(2/(5 - 5^Rational[1, 2]))^Rational[1, 2] + 
          Rational[-1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (-1 + 
            5^Rational[1, 2])), 
         Rational[-1, 6] ((5 - 5^Rational[1, 2])^(-1) (5 + 5^Rational[1, 2]))^
          Rational[1, 2], 
         Rational[1, 3] ((-5) (50 - 10 5^Rational[1, 2])^Rational[-1, 2] - 
          2 (10 - 2 5^Rational[1, 2])^
           Rational[-1, 
             2])}}, {{-0.3711721214705356, -0.2696723314583158, \
-0.6005691082157312}}]], 
     Point3DBox[
      NCache[{{Rational[1, 3] (
          Rational[-1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (-1 + 
            5^Rational[1, 2]) + 
          Rational[1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (1 + 
            5^Rational[1, 2])), 
         Rational[1, 3] (Rational[1, 2] + 
          Rational[1, 2] ((5 - 5^Rational[1, 2])^(-1) (5 + 5^Rational[1, 2]))^
            Rational[1, 2]), 
         Rational[1, 3] ((-5) (50 - 10 5^Rational[1, 2])^Rational[-1, 2] - 
          2 (10 - 2 5^Rational[1, 2])^Rational[-1, 2])}}, {{
       0.14177513472533998`, 0.43633899812498245`, -0.6005691082157312}}]], 
     Point3DBox[
      NCache[{{Rational[1, 3] ((2/(5 - 5^Rational[1, 2]))^Rational[1, 2] + 
          Rational[1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (-1 + 
            5^Rational[1, 2])), 
         Rational[-1, 6] ((5 - 5^Rational[1, 2])^(-1) (5 + 5^Rational[1, 2]))^
          Rational[1, 2], 
         Rational[1, 3] (5 (50 - 10 5^Rational[1, 2])^Rational[-1, 2] + 
          2 (10 - 2 5^Rational[1, 2])^Rational[-1, 2])}}, {{
       0.3711721214705356, -0.2696723314583158, 0.6005691082157312}}]], 
     Point3DBox[
      NCache[{{Rational[1, 3] (-(2/(5 - 5^Rational[1, 2]))^Rational[1, 2] + 
          Rational[-1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (-1 + 
            5^Rational[1, 2]) + 
          Rational[-1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (1 + 
            5^Rational[1, 2])), 
         Rational[1, 3] (Rational[-1, 2] + 
          Rational[-1, 
             2] ((5 - 5^Rational[1, 2])^(-1) (5 + 5^Rational[1, 2]))^
            Rational[1, 2]), 
         Rational[-1, 3] (10 - 2 5^Rational[1, 2])^
          Rational[-1, 
            2]}}, {{-0.6005691082157312, -0.43633899812498245`, \
-0.14177513472533998`}}]], 
     Point3DBox[
      NCache[{{Rational[-1, 6] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (1 + 
          5^Rational[1, 2]), 
         Rational[1, 3] (
          Rational[-1, 2] - ((5 - 5^Rational[1, 2])^(-1) (5 + 
            5^Rational[1, 2]))^Rational[1, 2]), 
         Rational[1, 3] (10 - 2 5^Rational[1, 2])^
          Rational[-1, 2]}}, {{-0.22939698674519557`, -0.7060113295832983, 
       0.14177513472533998`}}]], 
     Point3DBox[
      NCache[{{Rational[1, 3] (
          Rational[1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (-1 + 
            5^Rational[1, 2]) + 
          Rational[-1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (1 + 
            5^Rational[1, 2])), 
         Rational[1, 3] (Rational[-1, 2] + 
          Rational[-1, 
             2] ((5 - 5^Rational[1, 2])^(-1) (5 + 5^Rational[1, 2]))^
            Rational[1, 2]), 
         Rational[1, 3] (5 (50 - 10 5^Rational[1, 2])^Rational[-1, 2] + 
          2 (10 - 2 5^Rational[1, 2])^
            Rational[-1, 
              2])}}, {{-0.14177513472533998`, -0.43633899812498245`, 
       0.6005691082157312}}]], 
     Point3DBox[
      NCache[{{Rational[1, 3] ((2/(5 - 5^Rational[1, 2]))^Rational[1, 2] + 
          Rational[1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (-1 + 
            5^Rational[1, 2]) + 
          Rational[1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (1 + 
            5^Rational[1, 2])), 
         Rational[1, 3] (Rational[-1, 2] + 
          Rational[-1, 
             2] ((5 - 5^Rational[1, 2])^(-1) (5 + 5^Rational[1, 2]))^
            Rational[1, 2]), 
         Rational[1, 3] (10 - 2 5^Rational[1, 2])^Rational[-1, 2]}}, {{
       0.6005691082157312, -0.43633899812498245`, 0.14177513472533998`}}]], 
     Point3DBox[
      NCache[{{Rational[
          1, 3] ((2/(5 - 5^Rational[1, 2]))^
           Rational[1, 2] + (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (1 + 
            5^Rational[1, 2])), 0, 
         Rational[-1, 3] (10 - 2 5^Rational[1, 2])^Rational[-1, 2]}}, {{
        0.7423442429410712, 0, -0.14177513472533998`}}]], 
     Point3DBox[
      NCache[{{Rational[1, 3] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (1 + 
          5^Rational[1, 2]), 0, 
         Rational[1, 3] ((-5) (50 - 10 5^Rational[1, 2])^Rational[-1, 2] - 
          2 (10 - 2 5^Rational[1, 2])^Rational[-1, 2])}}, {{
        0.45879397349039114`, 0, -0.6005691082157312}}]], 
     Point3DBox[
      NCache[{{Rational[1, 3] (
          Rational[-1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (-1 + 
            5^Rational[1, 2]) + 
          Rational[1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (1 + 
            5^Rational[1, 2])), 
         Rational[1, 3] (Rational[-1, 2] + 
          Rational[-1, 
             2] ((5 - 5^Rational[1, 2])^(-1) (5 + 5^Rational[1, 2]))^
            Rational[1, 2]), 
         Rational[1, 3] ((-5) (50 - 10 5^Rational[1, 2])^Rational[-1, 2] - 
          2 (10 - 2 5^Rational[1, 2])^Rational[-1, 2])}}, {{
       0.14177513472533998`, -0.43633899812498245`, -0.6005691082157312}}]], 
     Point3DBox[
      NCache[{{Rational[1, 6] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (1 + 
          5^Rational[1, 2]), 
         Rational[1, 3] (
          Rational[-1, 2] - ((5 - 5^Rational[1, 2])^(-1) (5 + 
            5^Rational[1, 2]))^Rational[1, 2]), 
         Rational[-1, 3] (10 - 2 5^Rational[1, 2])^Rational[-1, 2]}}, {{
       0.22939698674519557`, -0.7060113295832983, -0.14177513472533998`}}]]}}, 
   {RGBColor[0, 1, 0], Opacity[0.8], 
    Polygon3DBox[
     NCache[{{Rational[-1, 3] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (1 + 
         5^Rational[1, 2]), 0, 
        Rational[1, 3] (5 (50 - 10 5^Rational[1, 2])^Rational[-1, 2] + 
         2 (10 - 2 5^Rational[1, 2])^Rational[-1, 2])}, {
       Rational[1, 3] (
         Rational[1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (-1 + 
           5^Rational[1, 2]) + 
         Rational[-1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (1 + 
           5^Rational[1, 2])), 
        Rational[1, 3] (Rational[1, 2] + 
         Rational[1, 2] ((5 - 5^Rational[1, 2])^(-1) (5 + 5^Rational[1, 2]))^
           Rational[1, 2]), 
        Rational[1, 3] (5 (50 - 10 5^Rational[1, 2])^Rational[-1, 2] + 
         2 (10 - 2 5^Rational[1, 2])^Rational[-1, 2])}, {
       Rational[-1, 6] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (1 + 
         5^Rational[1, 2]), 
        Rational[1, 3] (
         Rational[
          1, 2] + ((5 - 5^Rational[1, 2])^(-1) (5 + 5^Rational[1, 2]))^
          Rational[1, 2]), 
        Rational[1, 3] (10 - 2 5^Rational[1, 2])^Rational[-1, 2]}, {
       Rational[1, 3] (-(2/(5 - 5^Rational[1, 2]))^Rational[1, 2] + 
         Rational[-1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (-1 + 
           5^Rational[1, 2]) + 
         Rational[-1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (1 + 
           5^Rational[1, 2])), 
        Rational[1, 3] (Rational[1, 2] + 
         Rational[1, 2] ((5 - 5^Rational[1, 2])^(-1) (5 + 5^Rational[1, 2]))^
           Rational[1, 2]), 
        Rational[-1, 3] (10 - 2 5^Rational[1, 2])^Rational[-1, 2]}, {
       Rational[
         1, 3] (-(2/(5 - 5^Rational[1, 2]))^Rational[1, 2] - (10 - 2 
           5^Rational[1, 2])^Rational[-1, 2] (1 + 5^Rational[1, 2])), 0, 
        Rational[1, 3] (10 - 2 5^Rational[1, 2])^
         Rational[-1, 2]}}, {{-0.45879397349039114`, 0, 
        0.6005691082157312}, {-0.14177513472533998`, 0.43633899812498245`, 
       0.6005691082157312}, {-0.22939698674519557`, 0.7060113295832983, 
       0.14177513472533998`}, {-0.6005691082157312, 
       0.43633899812498245`, -0.14177513472533998`}, {-0.7423442429410712, 0, 
        0.14177513472533998`}}]], 
    Polygon3DBox[
     NCache[{{Rational[
         1, 3] (-(2/(5 - 5^Rational[1, 2]))^Rational[1, 2] - (10 - 2 
           5^Rational[1, 2])^Rational[-1, 2] (1 + 5^Rational[1, 2])), 0, 
        Rational[1, 3] (10 - 2 5^Rational[1, 2])^Rational[-1, 2]}, {
       Rational[1, 3] (-(2/(5 - 5^Rational[1, 2]))^Rational[1, 2] + 
         Rational[-1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (-1 + 
           5^Rational[1, 2]) + 
         Rational[-1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (1 + 
           5^Rational[1, 2])), 
        Rational[1, 3] (Rational[1, 2] + 
         Rational[1, 2] ((5 - 5^Rational[1, 2])^(-1) (5 + 5^Rational[1, 2]))^
           Rational[1, 2]), 
        Rational[-1, 3] (10 - 2 5^Rational[1, 2])^Rational[-1, 2]}, {
       Rational[1, 3] (-(2/(5 - 5^Rational[1, 2]))^Rational[1, 2] + 
         Rational[-1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (-1 + 
           5^Rational[1, 2])), 
        Rational[1, 6] ((5 - 5^Rational[1, 2])^(-1) (5 + 5^Rational[1, 2]))^
         Rational[1, 2], 
        Rational[1, 3] ((-5) (50 - 10 5^Rational[1, 2])^Rational[-1, 2] - 
         2 (10 - 2 5^Rational[1, 2])^Rational[-1, 2])}, {
       Rational[1, 3] (-(2/(5 - 5^Rational[1, 2]))^Rational[1, 2] + 
         Rational[-1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (-1 + 
           5^Rational[1, 2])), 
        Rational[-1, 6] ((5 - 5^Rational[1, 2])^(-1) (5 + 5^Rational[1, 2]))^
         Rational[1, 2], 
        Rational[1, 3] ((-5) (50 - 10 5^Rational[1, 2])^Rational[-1, 2] - 
         2 (10 - 2 5^Rational[1, 2])^Rational[-1, 2])}, {
       Rational[1, 3] (-(2/(5 - 5^Rational[1, 2]))^Rational[1, 2] + 
         Rational[-1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (-1 + 
           5^Rational[1, 2]) + 
         Rational[-1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (1 + 
           5^Rational[1, 2])), 
        Rational[1, 3] (Rational[-1, 2] + 
         Rational[-1, 2] ((5 - 5^Rational[1, 2])^(-1) (5 + 5^Rational[1, 2]))^
           Rational[1, 2]), 
        Rational[-1, 3] (10 - 2 5^Rational[1, 2])^
         Rational[-1, 2]}}, {{-0.7423442429410712, 0, 
        0.14177513472533998`}, {-0.6005691082157312, 
       0.43633899812498245`, -0.14177513472533998`}, {-0.3711721214705356, 
       0.2696723314583158, -0.6005691082157312}, {-0.3711721214705356, \
-0.2696723314583158, -0.6005691082157312}, {-0.6005691082157312, \
-0.43633899812498245`, -0.14177513472533998`}}]], 
    Polygon3DBox[
     NCache[{{Rational[-1, 3] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (1 + 
         5^Rational[1, 2]), 0, 
        Rational[1, 3] (5 (50 - 10 5^Rational[1, 2])^Rational[-1, 2] + 
         2 (10 - 2 5^Rational[1, 2])^Rational[-1, 2])}, {
       Rational[
         1, 3] (-(2/(5 - 5^Rational[1, 2]))^Rational[1, 2] - (10 - 2 
           5^Rational[1, 2])^Rational[-1, 2] (1 + 5^Rational[1, 2])), 0, 
        Rational[1, 3] (10 - 2 5^Rational[1, 2])^Rational[-1, 2]}, {
       Rational[1, 3] (-(2/(5 - 5^Rational[1, 2]))^Rational[1, 2] + 
         Rational[-1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (-1 + 
           5^Rational[1, 2]) + 
         Rational[-1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (1 + 
           5^Rational[1, 2])), 
        Rational[1, 3] (Rational[-1, 2] + 
         Rational[-1, 2] ((5 - 5^Rational[1, 2])^(-1) (5 + 5^Rational[1, 2]))^
           Rational[1, 2]), 
        Rational[-1, 3] (10 - 2 5^Rational[1, 2])^Rational[-1, 2]}, {
       Rational[-1, 6] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (1 + 
         5^Rational[1, 2]), 
        Rational[1, 3] (
         Rational[-1, 2] - ((5 - 5^Rational[1, 2])^(-1) (5 + 
           5^Rational[1, 2]))^Rational[1, 2]), 
        Rational[1, 3] (10 - 2 5^Rational[1, 2])^Rational[-1, 2]}, {
       Rational[1, 3] (
         Rational[1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (-1 + 
           5^Rational[1, 2]) + 
         Rational[-1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (1 + 
           5^Rational[1, 2])), 
        Rational[1, 3] (Rational[-1, 2] + 
         Rational[-1, 2] ((5 - 5^Rational[1, 2])^(-1) (5 + 5^Rational[1, 2]))^
           Rational[1, 2]), 
        Rational[1, 3] (5 (50 - 10 5^Rational[1, 2])^Rational[-1, 2] + 
         2 (10 - 2 5^Rational[1, 2])^
           Rational[-1, 2])}}, {{-0.45879397349039114`, 0, 
        0.6005691082157312}, {-0.7423442429410712, 0, 
        0.14177513472533998`}, {-0.6005691082157312, -0.43633899812498245`, \
-0.14177513472533998`}, {-0.22939698674519557`, -0.7060113295832983, 
       0.14177513472533998`}, {-0.14177513472533998`, -0.43633899812498245`, 
       0.6005691082157312}}]], 
    Polygon3DBox[
     NCache[{{Rational[1, 3] (-(2/(5 - 5^Rational[1, 2]))^Rational[1, 2] + 
         Rational[-1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (-1 + 
           5^Rational[1, 2])), 
        Rational[-1, 6] ((5 - 5^Rational[1, 2])^(-1) (5 + 5^Rational[1, 2]))^
         Rational[1, 2], 
        Rational[1, 3] ((-5) (50 - 10 5^Rational[1, 2])^Rational[-1, 2] - 
         2 (10 - 2 5^Rational[1, 2])^Rational[-1, 2])}, {
       Rational[1, 3] (-(2/(5 - 5^Rational[1, 2]))^Rational[1, 2] + 
         Rational[-1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (-1 + 
           5^Rational[1, 2]) + 
         Rational[-1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (1 + 
           5^Rational[1, 2])), 
        Rational[1, 3] (Rational[-1, 2] + 
         Rational[-1, 2] ((5 - 5^Rational[1, 2])^(-1) (5 + 5^Rational[1, 2]))^
           Rational[1, 2]), 
        Rational[-1, 3] (10 - 2 5^Rational[1, 2])^Rational[-1, 2]}, {
       Rational[-1, 6] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (1 + 
         5^Rational[1, 2]), 
        Rational[1, 3] (
         Rational[-1, 2] - ((5 - 5^Rational[1, 2])^(-1) (5 + 
           5^Rational[1, 2]))^Rational[1, 2]), 
        Rational[1, 3] (10 - 2 5^Rational[1, 2])^Rational[-1, 2]}, {
       Rational[1, 6] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (1 + 
         5^Rational[1, 2]), 
        Rational[1, 3] (
         Rational[-1, 2] - ((5 - 5^Rational[1, 2])^(-1) (5 + 
           5^Rational[1, 2]))^Rational[1, 2]), 
        Rational[-1, 3] (10 - 2 5^Rational[1, 2])^Rational[-1, 2]}, {
       Rational[1, 3] (
         Rational[-1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (-1 + 
           5^Rational[1, 2]) + 
         Rational[1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (1 + 
           5^Rational[1, 2])), 
        Rational[1, 3] (Rational[-1, 2] + 
         Rational[-1, 2] ((5 - 5^Rational[1, 2])^(-1) (5 + 5^Rational[1, 2]))^
           Rational[1, 2]), 
        Rational[1, 3] ((-5) (50 - 10 5^Rational[1, 2])^Rational[-1, 2] - 
         2 (10 - 2 5^Rational[1, 2])^
          Rational[-1, 
            2])}}, {{-0.3711721214705356, -0.2696723314583158, \
-0.6005691082157312}, {-0.6005691082157312, -0.43633899812498245`, \
-0.14177513472533998`}, {-0.22939698674519557`, -0.7060113295832983, 
      0.14177513472533998`}, {
      0.22939698674519557`, -0.7060113295832983, -0.14177513472533998`}, {
      0.14177513472533998`, -0.43633899812498245`, -0.6005691082157312}}]], 
    Polygon3DBox[
     NCache[{{Rational[1, 6] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (1 + 
         5^Rational[1, 2]), 
        Rational[1, 3] (
         Rational[-1, 2] - ((5 - 5^Rational[1, 2])^(-1) (5 + 
           5^Rational[1, 2]))^Rational[1, 2]), 
        Rational[-1, 3] (10 - 2 5^Rational[1, 2])^Rational[-1, 2]}, {
       Rational[-1, 6] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (1 + 
         5^Rational[1, 2]), 
        Rational[1, 3] (
         Rational[-1, 2] - ((5 - 5^Rational[1, 2])^(-1) (5 + 
           5^Rational[1, 2]))^Rational[1, 2]), 
        Rational[1, 3] (10 - 2 5^Rational[1, 2])^Rational[-1, 2]}, {
       Rational[1, 3] (
         Rational[1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (-1 + 
           5^Rational[1, 2]) + 
         Rational[-1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (1 + 
           5^Rational[1, 2])), 
        Rational[1, 3] (Rational[-1, 2] + 
         Rational[-1, 2] ((5 - 5^Rational[1, 2])^(-1) (5 + 5^Rational[1, 2]))^
           Rational[1, 2]), 
        Rational[1, 3] (5 (50 - 10 5^Rational[1, 2])^Rational[-1, 2] + 
         2 (10 - 2 5^Rational[1, 2])^Rational[-1, 2])}, {
       Rational[1, 3] ((2/(5 - 5^Rational[1, 2]))^Rational[1, 2] + 
         Rational[1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (-1 + 
           5^Rational[1, 2])), 
        Rational[-1, 6] ((5 - 5^Rational[1, 2])^(-1) (5 + 5^Rational[1, 2]))^
         Rational[1, 2], 
        Rational[1, 3] (5 (50 - 10 5^Rational[1, 2])^Rational[-1, 2] + 
         2 (10 - 2 5^Rational[1, 2])^Rational[-1, 2])}, {
       Rational[1, 3] ((2/(5 - 5^Rational[1, 2]))^Rational[1, 2] + 
         Rational[1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (-1 + 
           5^Rational[1, 2]) + 
         Rational[1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (1 + 
           5^Rational[1, 2])), 
        Rational[1, 3] (Rational[-1, 2] + 
         Rational[-1, 2] ((5 - 5^Rational[1, 2])^(-1) (5 + 5^Rational[1, 2]))^
           Rational[1, 2]), 
        Rational[1, 3] (10 - 2 5^Rational[1, 2])^Rational[-1, 2]}}, {{
      0.22939698674519557`, -0.7060113295832983, -0.14177513472533998`}, \
{-0.22939698674519557`, -0.7060113295832983, 
      0.14177513472533998`}, {-0.14177513472533998`, -0.43633899812498245`, 
      0.6005691082157312}, {0.3711721214705356, -0.2696723314583158, 
      0.6005691082157312}, {0.6005691082157312, -0.43633899812498245`, 
      0.14177513472533998`}}]], 
    Polygon3DBox[
     NCache[{{Rational[1, 3] ((2/(5 - 5^Rational[1, 2]))^Rational[1, 2] + 
         Rational[1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (-1 + 
           5^Rational[1, 2])), 
        Rational[-1, 6] ((5 - 5^Rational[1, 2])^(-1) (5 + 5^Rational[1, 2]))^
         Rational[1, 2], 
        Rational[1, 3] (5 (50 - 10 5^Rational[1, 2])^Rational[-1, 2] + 
         2 (10 - 2 5^Rational[1, 2])^Rational[-1, 2])}, {
       Rational[1, 3] ((2/(5 - 5^Rational[1, 2]))^Rational[1, 2] + 
         Rational[1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (-1 + 
           5^Rational[1, 2]) + 
         Rational[1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (1 + 
           5^Rational[1, 2])), 
        Rational[1, 3] (Rational[-1, 2] + 
         Rational[-1, 2] ((5 - 5^Rational[1, 2])^(-1) (5 + 5^Rational[1, 2]))^
           Rational[1, 2]), 
        Rational[1, 3] (10 - 2 5^Rational[1, 2])^Rational[-1, 2]}, {
       Rational[
         1, 3] ((2/(5 - 5^Rational[1, 2]))^
          Rational[1, 2] + (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (1 + 
           5^Rational[1, 2])), 0, 
        Rational[-1, 3] (10 - 2 5^Rational[1, 2])^Rational[-1, 2]}, {
       Rational[1, 3] ((2/(5 - 5^Rational[1, 2]))^Rational[1, 2] + 
         Rational[1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (-1 + 
           5^Rational[1, 2]) + 
         Rational[1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (1 + 
           5^Rational[1, 2])), 
        Rational[1, 3] (Rational[1, 2] + 
         Rational[1, 2] ((5 - 5^Rational[1, 2])^(-1) (5 + 5^Rational[1, 2]))^
           Rational[1, 2]), 
        Rational[1, 3] (10 - 2 5^Rational[1, 2])^Rational[-1, 2]}, {
       Rational[1, 3] ((2/(5 - 5^Rational[1, 2]))^Rational[1, 2] + 
         Rational[1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (-1 + 
           5^Rational[1, 2])), 
        Rational[1, 6] ((5 - 5^Rational[1, 2])^(-1) (5 + 5^Rational[1, 2]))^
         Rational[1, 2], 
        Rational[1, 3] (5 (50 - 10 5^Rational[1, 2])^Rational[-1, 2] + 
         2 (10 - 2 5^Rational[1, 2])^Rational[-1, 2])}}, {{
       0.3711721214705356, -0.2696723314583158, 0.6005691082157312}, {
       0.6005691082157312, -0.43633899812498245`, 0.14177513472533998`}, {
       0.7423442429410712, 0, -0.14177513472533998`}, {0.6005691082157312, 
       0.43633899812498245`, 0.14177513472533998`}, {0.3711721214705356, 
       0.2696723314583158, 0.6005691082157312}}]], 
    Polygon3DBox[
     NCache[{{Rational[-1, 3] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (1 + 
         5^Rational[1, 2]), 0, 
        Rational[1, 3] (5 (50 - 10 5^Rational[1, 2])^Rational[-1, 2] + 
         2 (10 - 2 5^Rational[1, 2])^Rational[-1, 2])}, {
       Rational[1, 3] (
         Rational[1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (-1 + 
           5^Rational[1, 2]) + 
         Rational[-1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (1 + 
           5^Rational[1, 2])), 
        Rational[1, 3] (Rational[1, 2] + 
         Rational[1, 2] ((5 - 5^Rational[1, 2])^(-1) (5 + 5^Rational[1, 2]))^
           Rational[1, 2]), 
        Rational[1, 3] (5 (50 - 10 5^Rational[1, 2])^Rational[-1, 2] + 
         2 (10 - 2 5^Rational[1, 2])^Rational[-1, 2])}, {
       Rational[1, 3] ((2/(5 - 5^Rational[1, 2]))^Rational[1, 2] + 
         Rational[1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (-1 + 
           5^Rational[1, 2])), 
        Rational[1, 6] ((5 - 5^Rational[1, 2])^(-1) (5 + 5^Rational[1, 2]))^
         Rational[1, 2], 
        Rational[1, 3] (5 (50 - 10 5^Rational[1, 2])^Rational[-1, 2] + 
         2 (10 - 2 5^Rational[1, 2])^Rational[-1, 2])}, {
       Rational[1, 3] ((2/(5 - 5^Rational[1, 2]))^Rational[1, 2] + 
         Rational[1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (-1 + 
           5^Rational[1, 2])), 
        Rational[-1, 6] ((5 - 5^Rational[1, 2])^(-1) (5 + 5^Rational[1, 2]))^
         Rational[1, 2], 
        Rational[1, 3] (5 (50 - 10 5^Rational[1, 2])^Rational[-1, 2] + 
         2 (10 - 2 5^Rational[1, 2])^Rational[-1, 2])}, {
       Rational[1, 3] (
         Rational[1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (-1 + 
           5^Rational[1, 2]) + 
         Rational[-1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (1 + 
           5^Rational[1, 2])), 
        Rational[1, 3] (Rational[-1, 2] + 
         Rational[-1, 2] ((5 - 5^Rational[1, 2])^(-1) (5 + 5^Rational[1, 2]))^
           Rational[1, 2]), 
        Rational[1, 3] (5 (50 - 10 5^Rational[1, 2])^Rational[-1, 2] + 
         2 (10 - 2 5^Rational[1, 2])^
           Rational[-1, 2])}}, {{-0.45879397349039114`, 0, 
        0.6005691082157312}, {-0.14177513472533998`, 0.43633899812498245`, 
       0.6005691082157312}, {0.3711721214705356, 0.2696723314583158, 
       0.6005691082157312}, {0.3711721214705356, -0.2696723314583158, 
       0.6005691082157312}, {-0.14177513472533998`, -0.43633899812498245`, 
       0.6005691082157312}}]], 
    Polygon3DBox[
     NCache[{{Rational[1, 6] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (1 + 
         5^Rational[1, 2]), 
        Rational[1, 3] (
         Rational[-1, 2] - ((5 - 5^Rational[1, 2])^(-1) (5 + 
           5^Rational[1, 2]))^Rational[1, 2]), 
        Rational[-1, 3] (10 - 2 5^Rational[1, 2])^Rational[-1, 2]}, {
       Rational[1, 3] (
         Rational[-1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (-1 + 
           5^Rational[1, 2]) + 
         Rational[1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (1 + 
           5^Rational[1, 2])), 
        Rational[1, 3] (Rational[-1, 2] + 
         Rational[-1, 2] ((5 - 5^Rational[1, 2])^(-1) (5 + 5^Rational[1, 2]))^
           Rational[1, 2]), 
        Rational[1, 3] ((-5) (50 - 10 5^Rational[1, 2])^Rational[-1, 2] - 
         2 (10 - 2 5^Rational[1, 2])^Rational[-1, 2])}, {
       Rational[1, 3] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (1 + 
         5^Rational[1, 2]), 0, 
        Rational[1, 3] ((-5) (50 - 10 5^Rational[1, 2])^Rational[-1, 2] - 
         2 (10 - 2 5^Rational[1, 2])^Rational[-1, 2])}, {
       Rational[
         1, 3] ((2/(5 - 5^Rational[1, 2]))^
          Rational[1, 2] + (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (1 + 
           5^Rational[1, 2])), 0, 
        Rational[-1, 3] (10 - 2 5^Rational[1, 2])^Rational[-1, 2]}, {
       Rational[1, 3] ((2/(5 - 5^Rational[1, 2]))^Rational[1, 2] + 
         Rational[1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (-1 + 
           5^Rational[1, 2]) + 
         Rational[1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (1 + 
           5^Rational[1, 2])), 
        Rational[1, 3] (Rational[-1, 2] + 
         Rational[-1, 2] ((5 - 5^Rational[1, 2])^(-1) (5 + 5^Rational[1, 2]))^
           Rational[1, 2]), 
        Rational[1, 3] (10 - 2 5^Rational[1, 2])^Rational[-1, 2]}}, {{
       0.22939698674519557`, -0.7060113295832983, -0.14177513472533998`}, {
       0.14177513472533998`, -0.43633899812498245`, -0.6005691082157312}, {
       0.45879397349039114`, 0, -0.6005691082157312}, {
       0.7423442429410712, 0, -0.14177513472533998`}, {
       0.6005691082157312, -0.43633899812498245`, 0.14177513472533998`}}]], 
    Polygon3DBox[
     NCache[{{Rational[1, 3] (
         Rational[-1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (-1 + 
           5^Rational[1, 2]) + 
         Rational[1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (1 + 
           5^Rational[1, 2])), 
        Rational[1, 3] (Rational[-1, 2] + 
         Rational[-1, 2] ((5 - 5^Rational[1, 2])^(-1) (5 + 5^Rational[1, 2]))^
           Rational[1, 2]), 
        Rational[1, 3] ((-5) (50 - 10 5^Rational[1, 2])^Rational[-1, 2] - 
         2 (10 - 2 5^Rational[1, 2])^Rational[-1, 2])}, {
       Rational[1, 3] (-(2/(5 - 5^Rational[1, 2]))^Rational[1, 2] + 
         Rational[-1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (-1 + 
           5^Rational[1, 2])), 
        Rational[-1, 6] ((5 - 5^Rational[1, 2])^(-1) (5 + 5^Rational[1, 2]))^
         Rational[1, 2], 
        Rational[1, 3] ((-5) (50 - 10 5^Rational[1, 2])^Rational[-1, 2] - 
         2 (10 - 2 5^Rational[1, 2])^Rational[-1, 2])}, {
       Rational[1, 3] (-(2/(5 - 5^Rational[1, 2]))^Rational[1, 2] + 
         Rational[-1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (-1 + 
           5^Rational[1, 2])), 
        Rational[1, 6] ((5 - 5^Rational[1, 2])^(-1) (5 + 5^Rational[1, 2]))^
         Rational[1, 2], 
        Rational[1, 3] ((-5) (50 - 10 5^Rational[1, 2])^Rational[-1, 2] - 
         2 (10 - 2 5^Rational[1, 2])^Rational[-1, 2])}, {
       Rational[1, 3] (
         Rational[-1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (-1 + 
           5^Rational[1, 2]) + 
         Rational[1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (1 + 
           5^Rational[1, 2])), 
        Rational[1, 3] (Rational[1, 2] + 
         Rational[1, 2] ((5 - 5^Rational[1, 2])^(-1) (5 + 5^Rational[1, 2]))^
           Rational[1, 2]), 
        Rational[1, 3] ((-5) (50 - 10 5^Rational[1, 2])^Rational[-1, 2] - 
         2 (10 - 2 5^Rational[1, 2])^Rational[-1, 2])}, {
       Rational[1, 3] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (1 + 
         5^Rational[1, 2]), 0, 
        Rational[1, 3] ((-5) (50 - 10 5^Rational[1, 2])^Rational[-1, 2] - 
         2 (10 - 2 5^Rational[1, 2])^Rational[-1, 2])}}, {{
       0.14177513472533998`, -0.43633899812498245`, -0.6005691082157312}, \
{-0.3711721214705356, -0.2696723314583158, -0.6005691082157312}, \
{-0.3711721214705356, 0.2696723314583158, -0.6005691082157312}, {
       0.14177513472533998`, 0.43633899812498245`, -0.6005691082157312}, {
       0.45879397349039114`, 0, -0.6005691082157312}}]], 
    Polygon3DBox[
     NCache[{{Rational[1, 3] (-(2/(5 - 5^Rational[1, 2]))^Rational[1, 2] + 
         Rational[-1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (-1 + 
           5^Rational[1, 2])), 
        Rational[1, 6] ((5 - 5^Rational[1, 2])^(-1) (5 + 5^Rational[1, 2]))^
         Rational[1, 2], 
        Rational[1, 3] ((-5) (50 - 10 5^Rational[1, 2])^Rational[-1, 2] - 
         2 (10 - 2 5^Rational[1, 2])^Rational[-1, 2])}, {
       Rational[1, 3] (-(2/(5 - 5^Rational[1, 2]))^Rational[1, 2] + 
         Rational[-1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (-1 + 
           5^Rational[1, 2]) + 
         Rational[-1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (1 + 
           5^Rational[1, 2])), 
        Rational[1, 3] (Rational[1, 2] + 
         Rational[1, 2] ((5 - 5^Rational[1, 2])^(-1) (5 + 5^Rational[1, 2]))^
           Rational[1, 2]), 
        Rational[-1, 3] (10 - 2 5^Rational[1, 2])^Rational[-1, 2]}, {
       Rational[-1, 6] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (1 + 
         5^Rational[1, 2]), 
        Rational[1, 3] (
         Rational[
          1, 2] + ((5 - 5^Rational[1, 2])^(-1) (5 + 5^Rational[1, 2]))^
          Rational[1, 2]), 
        Rational[1, 3] (10 - 2 5^Rational[1, 2])^Rational[-1, 2]}, {
       Rational[1, 6] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (1 + 
         5^Rational[1, 2]), 
        Rational[1, 3] (
         Rational[
          1, 2] + ((5 - 5^Rational[1, 2])^(-1) (5 + 5^Rational[1, 2]))^
          Rational[1, 2]), 
        Rational[-1, 3] (10 - 2 5^Rational[1, 2])^Rational[-1, 2]}, {
       Rational[1, 3] (
         Rational[-1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (-1 + 
           5^Rational[1, 2]) + 
         Rational[1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (1 + 
           5^Rational[1, 2])), 
        Rational[1, 3] (Rational[1, 2] + 
         Rational[1, 2] ((5 - 5^Rational[1, 2])^(-1) (5 + 5^Rational[1, 2]))^
           Rational[1, 2]), 
        Rational[1, 3] ((-5) (50 - 10 5^Rational[1, 2])^Rational[-1, 2] - 
         2 (10 - 2 5^Rational[1, 2])^
          Rational[-1, 2])}}, {{-0.3711721214705356, 
      0.2696723314583158, -0.6005691082157312}, {-0.6005691082157312, 
      0.43633899812498245`, -0.14177513472533998`}, {-0.22939698674519557`, 
      0.7060113295832983, 0.14177513472533998`}, {0.22939698674519557`, 
      0.7060113295832983, -0.14177513472533998`}, {0.14177513472533998`, 
      0.43633899812498245`, -0.6005691082157312}}]], 
    Polygon3DBox[
     NCache[{{Rational[-1, 6] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (1 + 
         5^Rational[1, 2]), 
        Rational[1, 3] (
         Rational[
          1, 2] + ((5 - 5^Rational[1, 2])^(-1) (5 + 5^Rational[1, 2]))^
          Rational[1, 2]), 
        Rational[1, 3] (10 - 2 5^Rational[1, 2])^Rational[-1, 2]}, {
       Rational[1, 3] (
         Rational[1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (-1 + 
           5^Rational[1, 2]) + 
         Rational[-1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (1 + 
           5^Rational[1, 2])), 
        Rational[1, 3] (Rational[1, 2] + 
         Rational[1, 2] ((5 - 5^Rational[1, 2])^(-1) (5 + 5^Rational[1, 2]))^
           Rational[1, 2]), 
        Rational[1, 3] (5 (50 - 10 5^Rational[1, 2])^Rational[-1, 2] + 
         2 (10 - 2 5^Rational[1, 2])^Rational[-1, 2])}, {
       Rational[1, 3] ((2/(5 - 5^Rational[1, 2]))^Rational[1, 2] + 
         Rational[1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (-1 + 
           5^Rational[1, 2])), 
        Rational[1, 6] ((5 - 5^Rational[1, 2])^(-1) (5 + 5^Rational[1, 2]))^
         Rational[1, 2], 
        Rational[1, 3] (5 (50 - 10 5^Rational[1, 2])^Rational[-1, 2] + 
         2 (10 - 2 5^Rational[1, 2])^Rational[-1, 2])}, {
       Rational[1, 3] ((2/(5 - 5^Rational[1, 2]))^Rational[1, 2] + 
         Rational[1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (-1 + 
           5^Rational[1, 2]) + 
         Rational[1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (1 + 
           5^Rational[1, 2])), 
        Rational[1, 3] (Rational[1, 2] + 
         Rational[1, 2] ((5 - 5^Rational[1, 2])^(-1) (5 + 5^Rational[1, 2]))^
           Rational[1, 2]), 
        Rational[1, 3] (10 - 2 5^Rational[1, 2])^Rational[-1, 2]}, {
       Rational[1, 6] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (1 + 
         5^Rational[1, 2]), 
        Rational[1, 3] (
         Rational[
          1, 2] + ((5 - 5^Rational[1, 2])^(-1) (5 + 5^Rational[1, 2]))^
          Rational[1, 2]), 
        Rational[-1, 3] (10 - 2 5^Rational[1, 2])^
         Rational[-1, 2]}}, {{-0.22939698674519557`, 0.7060113295832983, 
      0.14177513472533998`}, {-0.14177513472533998`, 0.43633899812498245`, 
      0.6005691082157312}, {0.3711721214705356, 0.2696723314583158, 
      0.6005691082157312}, {0.6005691082157312, 0.43633899812498245`, 
      0.14177513472533998`}, {0.22939698674519557`, 
      0.7060113295832983, -0.14177513472533998`}}]], 
    Polygon3DBox[
     NCache[{{Rational[1, 6] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (1 + 
         5^Rational[1, 2]), 
        Rational[1, 3] (
         Rational[
          1, 2] + ((5 - 5^Rational[1, 2])^(-1) (5 + 5^Rational[1, 2]))^
          Rational[1, 2]), 
        Rational[-1, 3] (10 - 2 5^Rational[1, 2])^Rational[-1, 2]}, {
       Rational[1, 3] ((2/(5 - 5^Rational[1, 2]))^Rational[1, 2] + 
         Rational[1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (-1 + 
           5^Rational[1, 2]) + 
         Rational[1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (1 + 
           5^Rational[1, 2])), 
        Rational[1, 3] (Rational[1, 2] + 
         Rational[1, 2] ((5 - 5^Rational[1, 2])^(-1) (5 + 5^Rational[1, 2]))^
           Rational[1, 2]), 
        Rational[1, 3] (10 - 2 5^Rational[1, 2])^Rational[-1, 2]}, {
       Rational[
         1, 3] ((2/(5 - 5^Rational[1, 2]))^
          Rational[1, 2] + (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (1 + 
           5^Rational[1, 2])), 0, 
        Rational[-1, 3] (10 - 2 5^Rational[1, 2])^Rational[-1, 2]}, {
       Rational[1, 3] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (1 + 
         5^Rational[1, 2]), 0, 
        Rational[1, 3] ((-5) (50 - 10 5^Rational[1, 2])^Rational[-1, 2] - 
         2 (10 - 2 5^Rational[1, 2])^Rational[-1, 2])}, {
       Rational[1, 3] (
         Rational[-1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (-1 + 
           5^Rational[1, 2]) + 
         Rational[1, 2] (10 - 2 5^Rational[1, 2])^Rational[-1, 2] (1 + 
           5^Rational[1, 2])), 
        Rational[1, 3] (Rational[1, 2] + 
         Rational[1, 2] ((5 - 5^Rational[1, 2])^(-1) (5 + 5^Rational[1, 2]))^
           Rational[1, 2]), 
        Rational[1, 3] ((-5) (50 - 10 5^Rational[1, 2])^Rational[-1, 2] - 
         2 (10 - 2 5^Rational[1, 2])^Rational[-1, 2])}}, {{
       0.22939698674519557`, 0.7060113295832983, -0.14177513472533998`}, {
       0.6005691082157312, 0.43633899812498245`, 0.14177513472533998`}, {
       0.7423442429410712, 0, -0.14177513472533998`}, {
       0.45879397349039114`, 0, -0.6005691082157312}, {0.14177513472533998`, 
       0.43633899812498245`, -0.6005691082157312}}]]}},
  AutomaticImageSize->True,
  Boxed->False,
  ImageSize->{322.5307630979158, 268.54464566408467`},
  ViewPoint->{-3.3041211802988864`, -0.390939013589755, 0.6164007734856989},
  ViewVertical->{-0.7556084685335114, 0.8605130163979023, 
   0.08617652616846788}]], "Output",
 CellChangeTimes->{{3.6242322013127785`*^9, 3.624232250486024*^9}, 
   3.6242323375808773`*^9}]
}, {2}]]
}, Open  ]]
}, Open  ]]
},
WindowSize->{1350, 632},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"10.0 for Microsoft Windows (32-bit) (2014\:5e747\:67089\
\:65e5)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 94, 1, 31, "Input"],
Cell[CellGroupData[{
Cell[676, 25, 115, 1, 72, "Chapter"],
Cell[CellGroupData[{
Cell[816, 30, 111, 1, 70, "Section"],
Cell[CellGroupData[{
Cell[952, 35, 5651, 148, 332, "Input"],
Cell[6606, 185, 4431, 84, 400, "Output"]
}, {2}]]
}, Open  ]],
Cell[CellGroupData[{
Cell[11083, 275, 113, 1, 70, "Section"],
Cell[CellGroupData[{
Cell[11221, 280, 7111, 174, 492, "Input"],
Cell[18335, 456, 2989, 56, 311, "Output"]
}, {2}]]
}, Open  ]],
Cell[CellGroupData[{
Cell[21370, 518, 113, 1, 70, "Section"],
Cell[CellGroupData[{
Cell[21508, 523, 6053, 158, 452, "Input"],
Cell[27564, 683, 7708, 142, 359, "Output"]
}, {2}]]
}, Open  ]],
Cell[CellGroupData[{
Cell[35318, 831, 115, 1, 70, "Section"],
Cell[CellGroupData[{
Cell[35458, 836, 7184, 181, 632, "Input"],
Cell[42645, 1019, 51973, 992, 428, "Output"]
}, {2}]]
}, Open  ]],
Cell[CellGroupData[{
Cell[94664, 2017, 119, 1, 70, "Section"],
Cell[CellGroupData[{
Cell[94808, 2022, 7681, 210, 432, "Input"],
Cell[102492, 2234, 41999, 790, 284, "Output"]
}, {2}]]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
